#ifndef __BROADCAST_MESSAGE_TYPES_H__
#define __BROADCAST_MESSAGE_TYPES_H__

namespace FactSet {
namespace Datafeed {

struct BroadcastMessageType {
    // Brackets will suppress doxygen undocumented warnings
    //! \{
#ifdef __linux__ 
	// Some of these names collide with windows macros
	// Prefer BC_ prefixed values for better cross-platform compatibility
    static const char QUOTE = 'Q';
    static const char TRADE = 'T';
    static const char CANCEL = 'X';
    static const char CORRECTION = 'R';
    static const char OTHER = 'O';
    static const char BOND_SESSION_CLOSED = 'E';
    static const char BOND_CLOSING_SPIN = 'I';
    static const char RESERVED = 'V';
	static const char DELETE = 'D';
    static const char ROLLOVER = 'L';
    static const char UPDATE = 'U';
    static const char SNAPSHOT = 'S';
#endif
	static const char BC_QUOTE = 'Q';
	static const char BC_TRADE = 'T';
	static const char BC_CANCEL = 'X';
	static const char BC_CORRECTION = 'R';
	static const char BC_OTHER = 'O';
	static const char BC_BOND_SESSION_CLOSED = 'E';
	static const char BC_BOND_CLOSING_SPIN = 'I';
	static const char BC_RESERVED = 'V';
	static const char BC_DELETE = 'D';
	static const char BC_ROLLOVER = 'L';
	static const char BC_UPDATE = 'U';
	static const char BC_SNAPSHOT = 'S';
    //! \}
};

}  // namespace Datafeed
}  // namespace FactSet
#endif
