#ifndef __FDSFE_API_H__
#define __FDSFE_API_H__

#define FDSFE_STR_HELPER(x) #x
#define FDSFE_STR(x) FDSFE_STR_HELPER(x)
#define FDSFE_MAJOR_VERSION 1
#define FDSFE_MINOR_VERSION 0
#define FDSFE_BUILD_NUMBER 11
#define FDSFE_VERSION_STRING FDSFE_STR(FDSFE_MAJOR_VERSION) "." FDSFE_STR(FDSFE_MINOR_VERSION) "." FDSFE_STR(FDSFE_BUILD_NUMBER)

// Generic helper definitions for shared library support
#if defined _WIN32 || defined __CYGWIN__
#define FDSFE_HELPER_DLL_IMPORT __declspec(dllimport)
#define FDSFE_HELPER_DLL_EXPORT __declspec(dllexport)
#define FDSFE_HELPER_DLL_LOCAL
#else
#if __GNUC__ >= 4
#define FDSFE_HELPER_DLL_IMPORT __attribute__ ((visibility ("default")))
#define FDSFE_HELPER_DLL_EXPORT __attribute__ ((visibility ("default")))
#define FDSFE_HELPER_DLL_LOCAL  __attribute__ ((visibility ("hidden")))
#else
#define FDSFE_HELPER_DLL_IMPORT
#define FDSFE_HELPER_DLL_EXPORT
#define FDSFE_HELPER_DLL_LOCAL
#endif
#endif

// Now we use the generic helper definitions above to define FDSFE_API and FDSFE_LOCAL.
// FDSFE_API is used for the public API symbols. It either DLL imports or DLL exports
// FDSFE_LOCAL is used for non-api symbols.
#ifdef FDSFE_DLL // defined if FDSFE is compiled as a DLL
#ifdef FDSFE_DLL_EXPORTS // defined if we are building the FDSFE DLL (instead of using it)
#define FDSFE_API FDSFE_HELPER_DLL_EXPORT
#else
#define FDSFE_API FDSFE_HELPER_DLL_IMPORT
#endif // FDSFE_DLL_EXPORTS
#define FDSFE_LOCAL FDSFE_HELPER_DLL_LOCAL
#else
#define FDSFE_API
#define FDSFE_LOCAL
#endif // FDSFE_DLL

#endif
