/*
 * WARNING!  DO NOT EDIT THE .H VERSION OF THIS FILE.  ONLY MAKE CHANGES
 * TO THE .MARCO VERSION.
 *
 * Marcogen Version:     0.1
 * Header Gathered From: active
 * Header Limited To:    RT and above
 *
 * Description:
 *     This file contains all of the constants that are in FieldDefinitions.xml 
 *     These are the ID which map to the fields that are sent over the wire.
 *
 */


#ifndef __MD_LIB_FIELDDEFS_H__
#define __MD_LIB_FIELDDEFS_H__

#include <MD/private/prefix.h>

#ifndef MD_LIB_WIN
#include <inttypes.h>
namespace MD { namespace FIELDS { typedef uint16_t FieldID; } }
#else
namespace MD { namespace FIELDS { typedef unsigned short FieldID; } }
#endif

namespace MD {
  namespace FIELDS {
    const FieldID RAW_DATA                       = 0; //BUFFER
    const FieldID FDS_SEQ_NUM                    = 1; //INT
    const FieldID FDS_TIME                       = 2; //INT
    const FieldID FDS_RETRANSMISSION             = 3; //INT
    const FieldID FDS_PRODUCT_CODE               = 4; //INT
    const FieldID FDS_PRODUCT_DELAY_TIME         = 5; //INT
    const FieldID FDS_ADJUST_TIME                = 6; //INT
    const FieldID LAYOUT_INDEX                   = 7; //INT
    const FieldID COMPANY_NAME                   = 8; //STRING
    const FieldID NSIN_CODE                      = 9; //STRING
    const FieldID NSIN                           = 10; //STRING
    const FieldID VALOREN                        = 11; //INT
    const FieldID ISIN                           = 12; //STRING
    const FieldID FEED_ID                        = 13; //INT
    const FieldID CUSIP                          = 14; //STRING
    const FieldID SEDOL                          = 15; //STRING
    const FieldID TICKER                         = 16; //STRING
    const FieldID ISO_CODE                       = 17; //STRING
    const FieldID CONTROL_VAL                    = 18; //INT
    const FieldID WRAT_CONDITION                 = 19; //INT
    const FieldID EXCHANGE                       = 20; //INT
    const FieldID INDEX_FLAG                     = 21; //INT
    const FieldID MSG_BITMASK                    = 22; //INT
    const FieldID PID                            = 23; //INT
    const FieldID UPC_11830                      = 24; //INT
    const FieldID CHANGE_INDICATOR               = 25; //INT
    const FieldID LAST_TICKS                     = 26; //INT
    const FieldID COMP_LAST_TICKS                = 27; //INT
    const FieldID EPS                            = 28; //FLOAT
    const FieldID SHARES_OUTSTANDING             = 29; //FLOAT
    const FieldID EXCH_LAST_PRICE                = 30; //FLOAT
    const FieldID EXCH_LAST_VOL                  = 31; //INT
    const FieldID EXCH_LAST_TIME                 = 32; //INT
    const FieldID EXCH_LAST_EXCH                 = 33; //INT
    const FieldID EXCH_LAST_COND                 = 34; //INT
    const FieldID EXCH_LAST_NUM                  = 35; //INT
    const FieldID EXCH_LAST_DENOM                = 36; //INT
    const FieldID EXCH_LAST_WHOLE                = 37; //INT
    const FieldID EXCH_QUOTE_COND                = 38; //INT
    const FieldID EXCH_LAST_PRICE_FORMT          = 39; //FLOAT
    const FieldID COMP_LAST_PRICE                = 40; //FLOAT
    const FieldID COMP_LAST_VOL                  = 41; //INT
    const FieldID COMP_LAST_TIME                 = 42; //INT
    const FieldID COMP_LAST_EXCH                 = 43; //INT
    const FieldID COMP_LAST_COND                 = 44; //INT
    const FieldID COMP_LAST_NUM                  = 45; //INT
    const FieldID COMP_LAST_DENOM                = 46; //INT
    const FieldID COMP_LAST_WHOLE                = 47; //INT
    const FieldID COMP_QUOTE_COND                = 48; //INT
    const FieldID EXCH_LAST_DATE                 = 49; //INT
    const FieldID EXCH_LAST_DPRICE               = 50; //DOUBLE
    const FieldID CONTRACT_SIZE                  = 51; //INT
    const FieldID SPECIAL_PRICE_OPTI             = 52; //OPTI_PRICE
    const FieldID COMP_LAST_DATE                 = 53; //INT
    const FieldID EXCH_TRADE_COND                = 54; //INT
    const FieldID COMP_LAST_PRICE_FORMT          = 55; //FLOAT
    const FieldID REFERENCE_PRICE                = 56; //INT
    const FieldID MID_PRICE_NUM                  = 57; //INT
    const FieldID MID_PRICE_DENOM                = 58; //INT
    const FieldID MID_PRICE_WHOLE                = 59; //INT
    const FieldID MID_PRICE_OPTI                 = 60; //OPTI_PRICE
    const FieldID VALUATION_PRICE                = 61; //FLOAT
    const FieldID CURRENCY_CODE                  = 62; //STRING
    const FieldID YIELD_PRICE                    = 63; //FLOAT
    const FieldID ACCRUED_INTEREST               = 64; //FLOAT
    const FieldID DURATION_TO_MATURITY           = 65; //FLOAT
    const FieldID CURRENT_YIELD                  = 66; //FLOAT
    const FieldID MARKET_PRICE                   = 67; //FLOAT
    const FieldID NAV                            = 68; //FLOAT
    const FieldID SHORT_TERM_CAP_GAINS           = 69; //FLOAT
    const FieldID LONG_TERM_CAP_GAINS            = 70; //FLOAT
    const FieldID OTHER_CAP_GAINS                = 71; //FLOAT
    const FieldID OFFER_PRICE                    = 72; //FLOAT
    const FieldID UNALLOCATED_DISTRIBUTIONS      = 73; //FLOAT
    const FieldID STOCK_SPLIT_DIV                = 74; //FLOAT
    const FieldID ENTRY_DATE                     = 75; //INT
    const FieldID PAYMENT_DATE                   = 76; //INT
    const FieldID RECORD_DATE                    = 77; //INT
    const FieldID FOOTNOTES                      = 78; //FLOAT
    const FieldID AVG_MATURITY                   = 79; //INT
    const FieldID SEVEN_DAY_YIELD                = 80; //FLOAT
    const FieldID ASSETS                         = 81; //FLOAT
    const FieldID FUND_TYPE                      = 82; //INT
    const FieldID WRAP_PRICE                     = 83; //FLOAT
    const FieldID CAP_DISTRIBUTION               = 84; //FLOAT
    const FieldID INCOME_DISTRIBUTION            = 85; //FLOAT
    const FieldID EST_LONG_TERM_RETURN           = 86; //FLOAT
    const FieldID FUND_CODE                      = 87; //INT
    const FieldID MARKET_MECHANISM_TYPE          = 88; //STRING
    const FieldID ORDER_CODE                     = 89; //STRING
    const FieldID NET_CHANGE_DIR                 = 90; //FLOAT
    const FieldID NET_CHANGE                     = 91; //FLOAT
    const FieldID FUND_NAME                      = 92; //STRING
    const FieldID PERIOD                         = 93; //FLOAT
    const FieldID MF_MARKET_CENTER               = 94; //INT
    const FieldID ANNUALIZED_SEVEN_DAY_YIELD     = 95; //FLOAT
    const FieldID REDEMPTION_NAV                 = 96; //FLOAT
    const FieldID PRICE_NUM                      = 97; //INT
    const FieldID PRICE_DENOM                    = 98; //INT
    const FieldID PRICE_WHOLE                    = 99; //INT
    const FieldID EXCH_HIGH_PRICE                = 100; //FLOAT
    const FieldID EXCH_HIGH_NUM                  = 101; //INT
    const FieldID EXCH_HIGH_DENOM                = 102; //INT
    const FieldID EXCH_HIGH_WHOLE                = 103; //INT
    const FieldID EXCH_HIGH_TIME                 = 104; //INT
    const FieldID EXCH_HIGH_VOL                  = 105; //INT
    const FieldID EXCH_HIGH_EXCH                 = 106; //INT
    const FieldID EXCH_HIGH_DPRICE               = 107; //DOUBLE
    const FieldID MID_CVOL                       = 108; //INT
    const FieldID COMP_HIGH_DPRICE               = 109; //DOUBLE
    const FieldID COMP_HIGH_PRICE                = 110; //FLOAT
    const FieldID COMP_HIGH_NUM                  = 111; //INT
    const FieldID COMP_HIGH_DENOM                = 112; //INT
    const FieldID COMP_HIGH_WHOLE                = 113; //INT
    const FieldID COMP_HIGH_TIME                 = 114; //INT
    const FieldID COMP_HIGH_VOL                  = 115; //INT
    const FieldID COMP_HIGH_EXCH                 = 116; //INT
    const FieldID EXCH_HIGHEST_WHOLE             = 117; //INT
    const FieldID EXCH_HIGHEST_NUM               = 118; //INT
    const FieldID EXCH_HIGHEST_DENOM             = 119; //INT
    const FieldID COMP_HIGHEST_WHOLE             = 120; //INT
    const FieldID COMP_HIGHEST_NUM               = 121; //INT
    const FieldID COMP_HIGHEST_DENOM             = 122; //INT
    const FieldID EXCH_HIGHEST_PRICE             = 123; //FLOAT
    const FieldID COMP_HIGHEST_PRICE             = 124; //FLOAT
    const FieldID EXCHANGE_CHAR                  = 125; //STRING
    const FieldID ASK_EXCH_CHAR                  = 126; //STRING
    const FieldID BID_EXCH_CHAR                  = 127; //STRING
    const FieldID TOTAL_NUM_ORDERS_BUY           = 128; //INT
    const FieldID TOTAL_NUM_ORDERS_SELL          = 129; //INT
    const FieldID YEARLY_HIGH_PRICE              = 130; //FLOAT
    const FieldID LAST_VOL                       = 131; //INT64
    const FieldID CUM_VOL                        = 132; //INT64
    const FieldID BID_VOL                        = 133; //INT64
    const FieldID ASK_VOL                        = 134; //INT64
    const FieldID LOCAL_MID_TIME_MS              = 135; //INT
    const FieldID LOCAL_MID_DATE                 = 136; //INT
    const FieldID LOCAL_OFF_HOUR_TIME_MS         = 137; //INT
    const FieldID LOCAL_OFF_HOUR_DATE            = 138; //INT
    const FieldID PRICE_FORMAT                   = 139; //INT
    const FieldID YEARLY_LOW_PRICE               = 140; //FLOAT
    const FieldID EXCH_OFF_HOUR_DATE             = 141; //INT
    const FieldID EXCH_BID_DATE                  = 142; //INT
    const FieldID EXCH_ASK_DATE                  = 143; //INT
    const FieldID TOTAL_CAP_GAINS_WHOLE          = 144; //INT
    const FieldID TOTAL_CAP_GAINS_NUM            = 145; //INT
    const FieldID TOTAL_CAP_GAINS_DENOM          = 146; //INT
    const FieldID TOTAL_CAP_GAINS                = 147; //DOUBLE
    const FieldID FOOTNOTE                       = 148; //STRING
    const FieldID MARKET_CENTER                  = 149; //STRING
    const FieldID EXCH_OPEN_PRICE                = 150; //FLOAT
    const FieldID EXCH_OPEN_NUM                  = 151; //INT
    const FieldID EXCH_OPEN_DENOM                = 152; //INT
    const FieldID EXCH_OPEN_WHOLE                = 153; //INT
    const FieldID EXCH_OPEN_TIME                 = 154; //INT
    const FieldID EXCH_OPEN_VOL                  = 155; //INT
    const FieldID EXCH_OPEN_EXCH                 = 156; //INT
    const FieldID EXCH_OPEN_SEQ                  = 157; //INT
    const FieldID EXCH_OPEN_DPRICE               = 158; //DOUBLE
    const FieldID LAST_RELEASED_DATE             = 159; //INT
    const FieldID COMP_OPEN_PRICE                = 160; //FLOAT
    const FieldID COMP_OPEN_NUM                  = 161; //INT
    const FieldID COMP_OPEN_DENOM                = 162; //INT
    const FieldID COMP_OPEN_WHOLE                = 163; //INT
    const FieldID COMP_OPEN_TIME                 = 164; //INT
    const FieldID COMP_OPEN_VOL                  = 165; //INT
    const FieldID EXCH_OPEN_DATE                 = 166; //INT
    const FieldID COMP_OPEN_DATE                 = 167; //INT
    const FieldID COMP_OPEN_EXCH                 = 168; //INT
    const FieldID COMP_OPEN_DPRICE               = 169; //DOUBLE
    const FieldID EXCH_OPEN_RNG1_PRICE           = 170; //FLOAT
    const FieldID EXCH_OPEN_RNG1_NUM             = 171; //INT
    const FieldID EXCH_OPEN_RNG1_DENOM           = 172; //INT
    const FieldID EXCH_OPEN_RNG1_WHOLE           = 173; //INT
    const FieldID TRADE_CONDITION                = 174; //STRING
    const FieldID EXCH_OPEN_RNG2_PRICE           = 175; //FLOAT
    const FieldID EXCH_OPEN_RNG2_NUM             = 176; //INT
    const FieldID EXCH_OPEN_RNG2_DENOM           = 177; //INT
    const FieldID EXCH_OPEN_RNG2_WHOLE           = 178; //INT
    const FieldID ORIG_TRADE_CONDITION           = 179; //STRING
    const FieldID EXCH_CLOSE_RNG1_PRICE          = 180; //FLOAT
    const FieldID EXCH_CLOSE_RNG1_NUM            = 181; //INT
    const FieldID EXCH_CLOSE_RNG1_DENOM          = 182; //INT
    const FieldID EXCH_CLOSE_RNG1_WHOLE          = 183; //INT
    const FieldID CORR_TRADE_CONDITION           = 184; //STRING
    const FieldID EXCH_CLOSE_RNG2_PRICE          = 185; //FLOAT
    const FieldID EXCH_CLOSE_RNG2_NUM            = 186; //INT
    const FieldID EXCH_CLOSE_RNG2_DENOM          = 187; //INT
    const FieldID EXCH_CLOSE_RNG2_WHOLE          = 188; //INT
    const FieldID CONTRACT_HIGH_DPRICE           = 189; //DOUBLE
    const FieldID CONTRACT_HIGH_PRICE            = 190; //FLOAT
    const FieldID CONTRACT_HIGH_NUM              = 191; //INT
    const FieldID CONTRACT_HIGH_DENOM            = 192; //INT
    const FieldID CONTRACT_HIGH_WHOLE            = 193; //INT
    const FieldID CONTRACT_HIGH_TIME             = 194; //INT
    const FieldID CONTRACT_LOW_PRICE             = 195; //FLOAT
    const FieldID CONTRACT_LOW_NUM               = 196; //INT
    const FieldID CONTRACT_LOW_DENOM             = 197; //INT
    const FieldID CONTRACT_LOW_WHOLE             = 198; //INT
    const FieldID CONTRACT_LOW_TIME              = 199; //INT
    const FieldID EXCH_CLOSE_PRICE               = 200; //FLOAT
    const FieldID EXCH_CLOSE_NUM                 = 201; //INT
    const FieldID EXCH_CLOSE_DENOM               = 202; //INT
    const FieldID EXCH_CLOSE_WHOLE               = 203; //INT
    const FieldID EXCH_CLOSE_TIME                = 204; //INT
    const FieldID EXCH_CLOSE_VOL                 = 205; //INT
    const FieldID CONTRACT_HIGH_DATE             = 206; //INT
    const FieldID CONTRACT_LOW_DATE              = 207; //INT
    const FieldID EXCH_CLOSE_DPRICE              = 208; //DOUBLE
    const FieldID CONTRACT_LOW_DPRICE            = 209; //DOUBLE
    const FieldID COMP_CLOSE_PRICE               = 210; //FLOAT
    const FieldID COMP_CLOSE_NUM                 = 211; //INT
    const FieldID COMP_CLOSE_DENOM               = 212; //INT
    const FieldID COMP_CLOSE_WHOLE               = 213; //INT
    const FieldID COMP_CLOSE_TIME                = 214; //INT
    const FieldID COMP_CLOSE_VOL                 = 215; //INT
    const FieldID PRE_CLOSE_NUM                  = 216; //INT
    const FieldID PRE_CLOSE_DENOM                = 217; //INT
    const FieldID PRE_CLOSE_WHOLE                = 218; //INT
    const FieldID COMP_CLOSE_DPRICE              = 219; //DOUBLE
    const FieldID PRE_CLOSE_PRICE                = 220; //FLOAT
    const FieldID COMP_PRE_CLOSE_NUM             = 221; //INT
    const FieldID COMP_PRE_CLOSE_DENOM           = 222; //INT
    const FieldID COMP_PRE_CLOSE_WHOLE           = 223; //INT
    const FieldID COMP_PRE_CLOSE_PRICE           = 224; //FLOAT
    const FieldID COMP_CLOSE_DATE                = 225; //INT
    const FieldID EXCH_CLOSE_DATE                = 226; //INT
    const FieldID TK_PREV_VALUATION_NUM          = 227; //INT
    const FieldID TK_PREV_VALUATION_DENOM        = 228; //INT
    const FieldID TK_PREV_VALUATION_WHOLE        = 229; //INT
    const FieldID EXCH_RESUMPTION_PRICE1         = 230; //FLOAT
    const FieldID EXCH_RESUMPTION_NUM1           = 231; //INT
    const FieldID EXCH_RESUMPTION_DENOM1         = 232; //INT
    const FieldID EXCH_RESUMPTION_WHOLE1         = 233; //INT
    const FieldID EXCH_RESUMPTION_PRICE2         = 234; //FLOAT
    const FieldID EXCH_RESUMPTION_NUM2           = 235; //INT
    const FieldID EXCH_RESUMPTION_DENOM2         = 236; //INT
    const FieldID EXCH_RESUMPTION_WHOLE2         = 237; //INT
    const FieldID RECORD_STATUS                  = 238; //INT
    const FieldID STRIKE_PRICE                   = 239; //DOUBLE
    const FieldID STRIKE_PRICE_OPTI              = 240; //OPTI_PRICE
    const FieldID STRIKE_PRICE_NUM               = 241; //INT
    const FieldID STRIKE_PRICE_DENOM             = 242; //INT
    const FieldID STRIKE_PRICE_WHOLE             = 243; //INT
    const FieldID PREMIUM_PRICE                  = 244; //OPTI_PRICE
    const FieldID PREMIUM_PRICE_NUM              = 245; //INT
    const FieldID PREMIUM_PRICE_DENOM            = 246; //INT
    const FieldID PREMIUM_PRICE_WHOLE            = 247; //INT
    const FieldID YS_VWAP_AT_BEST_BID            = 248; //DOUBLE
    const FieldID YS_VWAP_AT_BEST_ASK            = 249; //DOUBLE
    const FieldID UNDERLYING_PRICE               = 250; //OPTI_PRICE
    const FieldID UNDERLYING_PRICE_NUM           = 251; //INT
    const FieldID UNDERLYING_PRICE_DENOM         = 252; //INT
    const FieldID UNDERLYING_PRICE_WHOLE         = 253; //INT
    const FieldID NEW_SEC_STAT                   = 254; //INT
    const FieldID BID_1PLUS_TIME                 = 255; //INT
    const FieldID ASK_1PLUS_TIME                 = 256; //INT
    const FieldID MID_1PLUS_TIME                 = 257; //INT
    const FieldID EXCH_OFF_HOUR_COND             = 258; //INT
    const FieldID EXCH_OFF_HOUR_CVOL             = 259; //INT
    const FieldID EXCH_OFF_HOUR_PRICE            = 260; //OPTI_PRICE
    const FieldID EXCH_OFF_HOUR_NUM              = 261; //INT
    const FieldID EXCH_OFF_HOUR_DENOM            = 262; //INT
    const FieldID EXCH_OFF_HOUR_WHOLE            = 263; //INT
    const FieldID EXCH_OFF_HOUR_VOL              = 264; //INT
    const FieldID EXCH_OFF_HOUR_TIME             = 265; //INT
    const FieldID COMP_CHANGE_INDICATOR          = 266; //INT
    const FieldID EXCH_TRADE_QUANTITY            = 267; //INT
    const FieldID COMP_TRADE_QUANTITY            = 268; //INT
    const FieldID EXCH_BLK_QUANTITY              = 269; //INT
    const FieldID COMP_BLK_QUANTITY              = 270; //INT
    const FieldID EXCH_BLK_CVOL                  = 271; //INT
    const FieldID COMP_BLK_CVOL                  = 272; //INT
    const FieldID VENDOR_TIME_GMT_MS             = 273; //INT
    const FieldID BID_TIME_GMT_MS                = 274; //INT
    const FieldID ASK_TIME_GMT_MS                = 275; //INT
    const FieldID EXCH_LAST_TIME_GMT_MS          = 276; //INT
    const FieldID SHORT_SALE_INDICATOR           = 277; //INT
    const FieldID EXCH_MID_DPRICE                = 278; //DOUBLE
    const FieldID ANNUALIZED_SEVEN_DAY_YIELD_DPRICE = 279; //DOUBLE
    const FieldID EST_LONG_TERM_RETURN_DPRICE    = 280; //DOUBLE
    const FieldID REDEMPTION_NAV_DPRICE          = 281; //DOUBLE
    const FieldID SPLIT_DIVIDEND_DPRICE          = 282; //DOUBLE
    const FieldID WRAP_PRICE_DPRICE              = 283; //DOUBLE
    const FieldID MONEY_FLOW_UP_NUM              = 284; //INT
    const FieldID MONEY_FLOW_UP_DENOM            = 285; //INT
    const FieldID MONEY_FLOW_UP_WHOLE            = 286; //INT
    const FieldID MONEY_FLOW_DOWN_NUM            = 287; //INT
    const FieldID MONEY_FLOW_DOWN_DENOM          = 288; //INT
    const FieldID MONEY_FLOW_DOWN_WHOLE          = 289; //INT
    const FieldID BLK_MONEY_FLOW_UP_NUM          = 290; //INT
    const FieldID BLK_MONEY_FLOW_UP_DENOM        = 291; //INT
    const FieldID BLK_MONEY_FLOW_UP_WHOLE        = 292; //INT
    const FieldID BLK_MONEY_FLOW_DOWN_NUM        = 293; //INT
    const FieldID BLK_MONEY_FLOW_DOWN_DENOM      = 294; //INT
    const FieldID BLK_MONEY_FLOW_DOWN_WHOLE      = 295; //INT
    const FieldID BID_CLOSE_VOL                  = 296; //INT
    const FieldID ASK_CLOSE_VOL                  = 297; //INT
    const FieldID BID_TDY_CLOSE_VOL              = 298; //INT
    const FieldID ASK_TDY_CLOSE_VOL              = 299; //INT
    const FieldID EXCH_LOW_PRICE                 = 300; //FLOAT
    const FieldID EXCH_LOW_NUM                   = 301; //INT
    const FieldID EXCH_LOW_DENOM                 = 302; //INT
    const FieldID EXCH_LOW_WHOLE                 = 303; //INT
    const FieldID EXCH_LOW_TIME                  = 304; //INT
    const FieldID EXCH_LOW_VOL                   = 305; //INT
    const FieldID EXCH_LOW_EXCH                  = 306; //INT
    const FieldID EXCH_LOW_DPRICE                = 307; //DOUBLE
    const FieldID TRADE_THROUGH_EXEMPT           = 308; //INT
    const FieldID COMP_LOW_DPRICE                = 309; //DOUBLE
    const FieldID COMP_LOW_PRICE                 = 310; //FLOAT
    const FieldID COMP_LOW_NUM                   = 311; //INT
    const FieldID COMP_LOW_DENOM                 = 312; //INT
    const FieldID COMP_LOW_WHOLE                 = 313; //INT
    const FieldID COMP_LOW_TIME                  = 314; //INT
    const FieldID COMP_LOW_VOL                   = 315; //INT
    const FieldID COMP_LOW_EXCH                  = 316; //INT
    const FieldID EXCH_LOWEST_WHOLE              = 317; //INT
    const FieldID EXCH_LOWEST_NUM                = 318; //INT
    const FieldID EXCH_LOWEST_DENOM              = 319; //INT
    const FieldID COMP_LOWEST_WHOLE              = 320; //INT
    const FieldID COMP_LOWEST_NUM                = 321; //INT
    const FieldID COMP_LOWEST_DENOM              = 322; //INT
    const FieldID EXCH_LOWEST_PRICE              = 323; //FLOAT
    const FieldID COMP_LOWEST_PRICE              = 324; //FLOAT
    const FieldID DST_FLAG                       = 325; //INT
    const FieldID CURRENT_YIELD_WHOLE            = 326; //INT
    const FieldID CURRENT_YIELD_NUM              = 327; //INT
    const FieldID CURRENT_YIELD_DENOM            = 328; //INT
    const FieldID SEVEN_DAY_YIELD_WHOLE          = 329; //INT
    const FieldID SEVEN_DAY_YIELD_NUM            = 330; //INT
    const FieldID SEVEN_DAY_YIELD_DENOM          = 331; //INT
    const FieldID EFFECTIVE_YIELD_WHOLE          = 332; //INT
    const FieldID EFFECTIVE_YIELD_NUM            = 333; //INT
    const FieldID EFFECTIVE_YIELD_DENOM          = 334; //INT
    const FieldID ASSETS_WHOLE                   = 335; //INT
    const FieldID ASSETS_NUM                     = 336; //INT
    const FieldID ASSETS_DENOM                   = 337; //INT
    const FieldID NAV_WHOLE                      = 338; //INT
    const FieldID NAV_NUM                        = 339; //INT
    const FieldID NAV_DENOM                      = 340; //INT
    const FieldID DTURNOVER                      = 341; //DOUBLE
    const FieldID MID_NET_CHANGE                 = 342; //DOUBLE
    const FieldID BID_POINTS                     = 343; //DOUBLE
    const FieldID ACCRUED_INTEREST_WHOLE         = 344; //INT
    const FieldID ACCRUED_INTEREST_NUM           = 345; //INT
    const FieldID ACCRUED_INTEREST_DENOM         = 346; //INT
    const FieldID PAR_VAL_PER_UNIT_WHOLE         = 347; //INT
    const FieldID PAR_VAL_PER_UNIT_NUM           = 348; //INT
    const FieldID PAR_VAL_PER_UNIT_DENOM         = 349; //INT
    const FieldID INCOME_DISTRIBUTION_WHOLE      = 350; //INT
    const FieldID INCOME_DISTRIBUTION_NUM        = 351; //INT
    const FieldID INCOME_DISTRIBUTION_DENOM      = 352; //INT
    const FieldID CAP_DISTRIBUTION_WHOLE         = 353; //INT
    const FieldID CAP_DISTRIBUTION_NUM           = 354; //INT
    const FieldID CAP_DISTRIBUTION_DENOM         = 355; //INT
    const FieldID NET_CHANGE_WHOLE               = 356; //INT
    const FieldID NET_CHANGE_NUM                 = 357; //INT
    const FieldID NET_CHANGE_DENOM               = 358; //INT
    const FieldID SHORT_CAP_GAIN_WHOLE           = 359; //INT
    const FieldID SHORT_CAP_GAIN_NUM             = 360; //INT
    const FieldID SHORT_CAP_GAIN_DENOM           = 361; //INT
    const FieldID OTHER_CAP_GAIN_WHOLE           = 362; //INT
    const FieldID OTHER_CAP_GAIN_NUM             = 363; //INT
    const FieldID OTHER_CAP_GAIN_DENOM           = 364; //INT
    const FieldID LONG_TERM_CAP_GAIN_WHOLE       = 365; //INT
    const FieldID LONG_TERM_CAP_GAIN_NUM         = 366; //INT
    const FieldID LONG_TERM_CAP_GAIN_DENOM       = 367; //INT
    const FieldID SHORT_TERM_CAP_GAIN_WHOLE      = 368; //INT
    const FieldID SHORT_TERM_CAP_GAIN_NUM        = 369; //INT
    const FieldID SHORT_TERM_CAP_GAIN_DENOM      = 370; //INT
    const FieldID UNALLOC_DISTRIBUTIONS_WHOLE    = 371; //INT
    const FieldID UNALLOC_DISTRIBUTIONS_NUM      = 372; //INT
    const FieldID UNALLOC_DISTRIBUTIONS_DENOM    = 373; //INT
    const FieldID MARKET_PRICE_WHOLE             = 374; //INT
    const FieldID MARKET_PRICE_NUM               = 375; //INT
    const FieldID MARKET_PRICE_DENOM             = 376; //INT
    const FieldID LONG_TERM_RETURN_WHOLE         = 377; //INT
    const FieldID LONG_TERM_RETURN_NUM           = 378; //INT
    const FieldID LONG_TERM_RETURN_DENOM         = 379; //INT
    const FieldID DIVIDEND_WHOLE                 = 380; //INT
    const FieldID DIVIDEND_NUM                   = 381; //INT
    const FieldID DIVIDEND_DENOM                 = 382; //INT
    const FieldID LOCAL_LAST_TIME_MS             = 383; //INT
    const FieldID LOCAL_LAST_DATE                = 384; //INT
    const FieldID LOCAL_BID_TIME_MS              = 385; //INT
    const FieldID LOCAL_BID_DATE                 = 386; //INT
    const FieldID LOCAL_ASK_TIME_MS              = 387; //INT
    const FieldID LOCAL_ASK_DATE                 = 388; //INT
    const FieldID LOCAL_GMT_OFFSET               = 389; //INT
    const FieldID EXP_DAYS_CALC                  = 390; //INT
    const FieldID EXP_DAYS_DISP                  = 391; //INT
    const FieldID DAYS_TO_LIVE                   = 392; //INT
    const FieldID TDY_CLOSE_NUM                  = 393; //INT
    const FieldID TDY_CLOSE_DENOM                = 394; //INT
    const FieldID TDY_CLOSE_WHOLE                = 395; //INT
    const FieldID TDY_CLOSE_TIME                 = 396; //INT
    const FieldID TDY_CLOSE_DPRICE               = 397; //DOUBLE
    const FieldID MID_HIGH_DPRICE                = 398; //DOUBLE
    const FieldID MID_LOW_DPRICE                 = 399; //DOUBLE
    const FieldID EXCH_NET_PRICE                 = 400; //FLOAT
    const FieldID EXCH_NET_NUM                   = 401; //INT
    const FieldID EXCH_NET_DENOM                 = 402; //INT
    const FieldID EXCH_NET_WHOLE                 = 403; //INT
    const FieldID EXCH_NET_DIR                   = 404; //INT
    const FieldID MARKET_CODE                    = 405; //STRING
    const FieldID LOT_SIZE                       = 406; //INT
    const FieldID SUSPENSION_FLAG                = 407; //STRING
    const FieldID DUMMY_FLAG                     = 408; //STRING
    const FieldID LISTING_STATUS                 = 409; //STRING
    const FieldID COMP_NET_PRICE                 = 410; //FLOAT
    const FieldID COMP_NET_NUM                   = 411; //INT
    const FieldID COMP_NET_DENOM                 = 412; //INT
    const FieldID COMP_NET_WHOLE                 = 413; //INT
    const FieldID COMP_NET_DIR                   = 414; //INT
    const FieldID SIGMA                          = 415; //DOUBLE
    const FieldID DELTA                          = 416; //DOUBLE
    const FieldID GAMMA                          = 417; //DOUBLE
    const FieldID VEGA                           = 418; //DOUBLE
    const FieldID THETA                          = 419; //DOUBLE
    const FieldID RHO                            = 420; //DOUBLE
    const FieldID MID_HIGH_NUM                   = 421; //INT
    const FieldID MID_HIGH_DENOM                 = 422; //INT
    const FieldID MID_HIGH_WHOLE                 = 423; //INT
    const FieldID MID_LOW_NUM                    = 424; //INT
    const FieldID MID_LOW_DENOM                  = 425; //INT
    const FieldID MID_LOW_WHOLE                  = 426; //INT
    const FieldID ORDER_LOT_SIZE                 = 427; //INT
    const FieldID EX_MARKER_START_DATE           = 428; //INT
    const FieldID EX_MARKER_END_DATE             = 429; //INT
    const FieldID BID_STATUS                     = 430; //INT
    const FieldID LAST_SUSPENSION_DATE           = 431; //INT
    const FieldID LAST_SUSPENSION_TIME           = 432; //INT
    const FieldID LAST_RELEASED_TIME             = 433; //INT
    const FieldID PRIMARY_MARKET_ID              = 434; //INT
    const FieldID BID_CLOSE_NUM                  = 435; //INT
    const FieldID BID_CLOSE_DENOM                = 436; //INT
    const FieldID BID_CLOSE_WHOLE                = 437; //INT
    const FieldID BID_CLOSE_DATE                 = 438; //INT
    const FieldID BID_CLOSE_TIME                 = 439; //INT
    const FieldID ASK_CLOSE_NUM                  = 440; //INT
    const FieldID ASK_CLOSE_DENOM                = 441; //INT
    const FieldID ASK_CLOSE_WHOLE                = 442; //INT
    const FieldID ASK_CLOSE_DATE                 = 443; //INT
    const FieldID ASK_CLOSE_TIME                 = 444; //INT
    const FieldID BID_TDY_CLOSE_NUM              = 445; //INT
    const FieldID BID_TDY_CLOSE_DENOM            = 446; //INT
    const FieldID BID_TDY_CLOSE_WHOLE            = 447; //INT
    const FieldID BID_TDY_CLOSE_DPRICE           = 448; //DOUBLE
    const FieldID BID_TDY_CLOSE_TIME             = 449; //INT
    const FieldID ASK_TDY_CLOSE_NUM              = 450; //INT
    const FieldID ASK_TDY_CLOSE_DENOM            = 451; //INT
    const FieldID ASK_TDY_CLOSE_WHOLE            = 452; //INT
    const FieldID PROTOCOL                       = 453; //INT
    const FieldID ASK_TDY_CLOSE_TIME             = 454; //INT
    const FieldID DYNAMIC_TOLERANCE              = 455; //DOUBLE
    const FieldID STATIC_TOLERANCE               = 456; //DOUBLE
    const FieldID MAX_AGENT_ORDER_SIZE_MULT      = 457; //DOUBLE
    const FieldID MAX_AGENT_ORDER_SIZE           = 458; //INT
    const FieldID MIN_AGENT_ORDER_SIZE_MULT      = 459; //DOUBLE
    const FieldID MIN_AGENT_ORDER_SIZE           = 460; //INT
    const FieldID MAX_PRINCIPAL_ORDER_SIZE_MULT  = 461; //DOUBLE
    const FieldID MAX_PRINCIPAL_ORDER_SIZE       = 462; //INT
    const FieldID MIN_PRINCIPAL_ORDER_SIZE_MULT  = 463; //DOUBLE
    const FieldID MIN_PRINCIPAL_ORDER_SIZE       = 464; //INT
    const FieldID UNCROSSING_DPRICE              = 465; //DOUBLE
    const FieldID UNCROSSING_VOL                 = 466; //INT
    const FieldID NEXT_AUCTION_TIME              = 467; //INT
    const FieldID YS_NUM_OF_ORDERS_BID           = 468; //INT
    const FieldID YS_MARKET_MAKERS_BID           = 469; //STRING
    const FieldID YS_TOTAL_BID_SIZE              = 470; //INT
    const FieldID YS_BEST_BID_DPRICE             = 471; //DOUBLE
    const FieldID YS_NUM_OF_ORDERS_ASK           = 472; //INT
    const FieldID YS_MARKET_MAKERS_ASK           = 473; //STRING
    const FieldID YS_TOTAL_ASK_SIZE              = 474; //INT
    const FieldID YS_BEST_ASK_DPRICE             = 475; //DOUBLE
    const FieldID ASK_TDY_CLOSE_DPRICE           = 476; //DOUBLE
    const FieldID TIMESTAMP_EPOCH_MS             = 477; //INT64
    const FieldID OFF_HOUR_HIGH_DPRICE           = 478; //DOUBLE
    const FieldID OFF_HOUR_HIGH_WHOLE            = 479; //INT
    const FieldID OFF_HOUR_HIGH_NUM              = 480; //INT
    const FieldID OFF_HOUR_HIGH_DENOM            = 481; //INT
    const FieldID OFF_HOUR_LOW_DPRICE            = 482; //DOUBLE
    const FieldID OFF_HOUR_LOW_WHOLE             = 483; //INT
    const FieldID OFF_HOUR_LOW_NUM               = 484; //INT
    const FieldID OFF_HOUR_LOW_DENOM             = 485; //INT
    const FieldID OFF_HOUR_BID_DPRICE            = 486; //DOUBLE
    const FieldID OFF_HOUR_BID_WHOLE             = 487; //INT
    const FieldID OFF_HOUR_BID_NUM               = 488; //INT
    const FieldID OFF_HOUR_BID_DENOM             = 489; //INT
    const FieldID OFF_HOUR_ASK_DPRICE            = 490; //DOUBLE
    const FieldID OFF_HOUR_ASK_WHOLE             = 491; //INT
    const FieldID OFF_HOUR_ASK_NUM               = 492; //INT
    const FieldID OFF_HOUR_ASK_DENOM             = 493; //INT
    const FieldID VENDOR_TIME_MS                 = 494; //INT
    const FieldID BUY_IMBALANCE                  = 495; //INT
    const FieldID SELL_IMBALANCE                 = 496; //INT
    const FieldID MID_HIGH_OPTI                  = 497; //OPTI_PRICE
    const FieldID MID_LOW_OPTI                   = 498; //OPTI_PRICE
    const FieldID MID_CLOSE_OPTI                 = 499; //OPTI_PRICE
    const FieldID EXCH_BID_PRICE                 = 500; //FLOAT
    const FieldID EXCH_BID_NUM                   = 501; //INT
    const FieldID EXCH_BID_DENOM                 = 502; //INT
    const FieldID EXCH_BID_WHOLE                 = 503; //INT
    const FieldID EXCH_BID_TIME                  = 504; //INT
    const FieldID EXCH_BID_VOL                   = 505; //INT
    const FieldID EXCH_BID_EXCH                  = 506; //INT
    const FieldID EXCH_BID_CONTRIB               = 507; //INT
    const FieldID EXCH_BID_CVOL                  = 508; //INT
    const FieldID EXCH_BID_DPRICE                = 509; //DOUBLE
    const FieldID COMP_BID_PRICE                 = 510; //FLOAT
    const FieldID COMP_BID_NUM                   = 511; //INT
    const FieldID COMP_BID_DENOM                 = 512; //INT
    const FieldID COMP_BID_WHOLE                 = 513; //INT
    const FieldID COMP_BID_TIME                  = 514; //INT
    const FieldID COMP_BID_VOL                   = 515; //INT
    const FieldID COMP_BID_EXCH                  = 516; //INT
    const FieldID COMP_BID_DPRICE                = 517; //DOUBLE
    const FieldID BID_TICK_INDICATOR             = 518; //INT
    const FieldID PRICE_INDICATOR                = 519; //INT
    const FieldID COMP_BID_EXCH_CHAR             = 520; //STRING
    const FieldID TRADE_THROUGH                  = 521; //STRING
    const FieldID ENX_BID_DPRICE                 = 522; //DOUBLE
    const FieldID ENX_ASK_DPRICE                 = 523; //DOUBLE
    const FieldID LME_STOCK_OUT                  = 524; //INT
    const FieldID LME_STOCK_IN                   = 525; //INT
    const FieldID OFFICIAL_CLOSE_DPRICE          = 526; //DOUBLE
    const FieldID OFFICIAL_CLOSE_TIME            = 527; //INT
    const FieldID OFF_BOOK_CVOL                  = 528; //INT
    const FieldID OFF_EXCH_CVOL                  = 529; //INT
    const FieldID VENUE                          = 530; //STRING
    const FieldID EX_DATE_STATUS                 = 531; //STRING
    const FieldID MID_CLOSE_WHOLE                = 532; //INT
    const FieldID MID_CLOSE_NUM                  = 533; //INT
    const FieldID MID_CLOSE_DENOM                = 534; //INT
    const FieldID MID_CLOSE_DPRICE               = 535; //DOUBLE
    const FieldID SWAP_SPREAD_DPRICE             = 536; //DOUBLE
    const FieldID TEN_YEAR_SPREAD_DPRICE         = 537; //DOUBLE
    const FieldID FIVE_YEAR_SPREAD_DPRICE        = 538; //DOUBLE
    const FieldID ASK_CASH_DPRICE                = 539; //DOUBLE
    const FieldID ASK_GROSS_BASIS_DVALUE         = 540; //DOUBLE
    const FieldID ASK_YIELD_DPRICE               = 541; //DOUBLE
    const FieldID AUCTION_DATE                   = 542; //INT
    const FieldID AVG_DLIFE                      = 543; //DOUBLE
    const FieldID BASE_CPI_DPRICE                = 544; //DOUBLE
    const FieldID BASIS_DVALUE                   = 545; //DOUBLE
    const FieldID BENCHMARK_DESC                 = 546; //STRING
    const FieldID BID_CASH_DPRICE                = 547; //DOUBLE
    const FieldID BID_GROSS_BASIS_DVALUE         = 548; //DOUBLE
    const FieldID BID_YIELD_CHANGE_DPRICE        = 549; //DOUBLE
    const FieldID BID_YIELD_DPRICE               = 550; //DOUBLE
    const FieldID BOND_EQUIV_YIELD_DPRICE        = 551; //DOUBLE
    const FieldID CALLABLE_DATE                  = 552; //INT
    const FieldID CLOSING_BID_YIELD_DPRICE       = 553; //DOUBLE
    const FieldID CONVEXITY_DPRICE               = 554; //DOUBLE
    const FieldID COUPON_DATE                    = 555; //INT
    const FieldID COUPON_DRATE                   = 556; //DOUBLE
    const FieldID CPI_CHANGE                     = 557; //DOUBLE
    const FieldID CPI_CHANGE_2                   = 558; //DOUBLE
    const FieldID CPI_CHANGE_3                   = 559; //DOUBLE
    const FieldID CURRENCY_CODE2                 = 560; //STRING
    const FieldID CUR_CPI_RATE                   = 561; //DOUBLE
    const FieldID CUR_CPI_RATE2                  = 562; //DOUBLE
    const FieldID CUR_CPI_RATE3                  = 563; //DOUBLE
    const FieldID DURATION                       = 564; //DOUBLE
    const FieldID DURATION_DPRICE                = 565; //DOUBLE
    const FieldID EFF_DURATION                   = 566; //DOUBLE
    const FieldID EXCH_ASK_32_DPRICE             = 567; //DOUBLE
    const FieldID EXCH_BID_32_DPRICE             = 568; //DOUBLE
    const FieldID EXCH_BID_HIGH_DPRICE           = 569; //DOUBLE
    const FieldID EXCH_BID_LOW_DPRICE            = 570; //DOUBLE
    const FieldID EXCH_MID_YIELD_DPRICE          = 571; //DOUBLE
    const FieldID HIGH_BID_DPRICE                = 572; //DOUBLE
    const FieldID HIGH_YIELD_DPRICE              = 573; //DOUBLE
    const FieldID ISSUE_DATE                     = 574; //INT
    const FieldID MATURITY_MONTH                 = 575; //STRING
    const FieldID MID_GROSS_BASIS_DVALUE         = 576; //DOUBLE
    const FieldID MID_GROSS_HIGH_DPRICE          = 577; //DOUBLE
    const FieldID MID_GROSS_LOW_DPRICE           = 578; //DOUBLE
    const FieldID MOD_DURATION                   = 579; //DOUBLE
    const FieldID MONTH_PRC                      = 580; //STRING
    const FieldID MONTH_PRC2                     = 581; //STRING
    const FieldID MONTH_PRC3                     = 582; //STRING
    const FieldID MORTGAGE_TYPE                  = 583; //INT
    const FieldID MORTGAGE_YIELD_DPRICE          = 584; //DOUBLE
    const FieldID NET_DCHANGE                    = 585; //DOUBLE
    const FieldID NSA_DATE                       = 586; //INT
    const FieldID NSA_DATE2                      = 587; //INT
    const FieldID NSA_DATE3                      = 588; //INT
    const FieldID ODD_COUPON_DATE                = 589; //INT
    const FieldID OPENING_BID_YIELD_DPRICE       = 590; //DOUBLE
    const FieldID PRICING_METHOD_DPRICE          = 591; //DOUBLE
    const FieldID PSA_DPRICE                     = 592; //DOUBLE
    const FieldID REF_CPI_RATE                   = 593; //DOUBLE
    const FieldID REF_CPI_RATE2                  = 594; //DOUBLE
    const FieldID REF_CPI_RATE3                  = 595; //DOUBLE
    const FieldID REF_CPI_RATE4                  = 596; //DOUBLE
    const FieldID SETTLEMENT_DATE2               = 597; //INT
    const FieldID SPREAD_TO_ASK_DPRICE           = 598; //DOUBLE
    const FieldID SPREAD_TO_TREASURY_DPRICE      = 599; //DOUBLE
    const FieldID EXCH_ASK_PRICE                 = 600; //FLOAT
    const FieldID EXCH_ASK_NUM                   = 601; //INT
    const FieldID EXCH_ASK_DENOM                 = 602; //INT
    const FieldID EXCH_ASK_WHOLE                 = 603; //INT
    const FieldID EXCH_ASK_TIME                  = 604; //INT
    const FieldID EXCH_ASK_VOL                   = 605; //INT
    const FieldID EXCH_ASK_EXCH                  = 606; //INT
    const FieldID EXCH_ASK_CONTRIB               = 607; //INT
    const FieldID EXCH_ASK_CVOL                  = 608; //INT
    const FieldID EXCH_ASK_DPRICE                = 609; //DOUBLE
    const FieldID COMP_ASK_PRICE                 = 610; //FLOAT
    const FieldID COMP_ASK_NUM                   = 611; //INT
    const FieldID COMP_ASK_DENOM                 = 612; //INT
    const FieldID COMP_ASK_WHOLE                 = 613; //INT
    const FieldID COMP_ASK_TIME                  = 614; //INT
    const FieldID COMP_ASK_VOL                   = 615; //INT
    const FieldID COMP_ASK_EXCH                  = 616; //INT
    const FieldID COMP_ASK_DPRICE                = 617; //DOUBLE
    const FieldID COMP_ASK_EXCH_CHAR             = 618; //STRING
    const FieldID TBOND_SYMBOL                   = 619; //STRING
    const FieldID UNDERLYING_YIELD_DPRICE        = 620; //DOUBLE
    const FieldID WAM_DPRICE                     = 621; //DOUBLE
    const FieldID YIELD_32_DPRICE                = 622; //DOUBLE
    const FieldID YIELD_CLOSE_DATE               = 623; //INT
    const FieldID YIELD_CLOSE_DPRICE             = 624; //DOUBLE
    const FieldID YIELD_DCHANGE                  = 625; //DOUBLE
    const FieldID YIELD_TO_MAT_DPRICE            = 626; //DOUBLE
    const FieldID PUB_THRESH_SIZE                = 627; //INT
    const FieldID MAX_QUOTE_SIZE_DPRICE          = 628; //DOUBLE
    const FieldID NORMAL_MARKET_SIZE             = 629; //INT
    const FieldID STANDARD_MARKET_SIZE           = 630; //INT
    const FieldID EXCHANGE_MARKET_SIZE           = 631; //INT
    const FieldID SETTLEMENT_INDICATOR           = 632; //INT
    const FieldID PERIOD_NAME                    = 633; //STRING
    const FieldID EXCH_MID_TIME                  = 634; //INT
    const FieldID AUTO_CVOL                      = 635; //INT
    const FieldID AUTO_TRADE_QUANTITY            = 636; //INT
    const FieldID AUTO_VWAP_DPRICE               = 637; //DOUBLE
    const FieldID BARGAIN_CONDITIONS             = 638; //INT
    const FieldID TWAS_DPRICE                    = 639; //DOUBLE
    const FieldID TOTAL_BUY_VOL                  = 640; //INT
    const FieldID TOTAL_SELL_VOL                 = 641; //INT
    const FieldID BUY_PERCENTAGE_DPRICE          = 642; //DOUBLE
    const FieldID SELL_PERCENTAGE_DPRICE         = 643; //DOUBLE
    const FieldID MONEY_FLOW_ON_DPRICE           = 644; //DOUBLE
    const FieldID MONEY_FLOW_OFF_DPRICE          = 645; //DOUBLE
    const FieldID MONEY_FLOW_BUY_DPRICE          = 646; //DOUBLE
    const FieldID MONEY_FLOW_SELL_DPRICE         = 647; //DOUBLE
    const FieldID BID_CLOSE_DPRICE               = 648; //DOUBLE
    const FieldID ASK_CLOSE_DPRICE               = 649; //DOUBLE
    const FieldID MARKET_SEGMENT                 = 650; //STRING
    const FieldID MARKET_SECTOR                  = 651; //STRING
    const FieldID COUNTRY_CODE                   = 652; //STRING
    const FieldID ACCRUED_INTEREST_DPRICE        = 653; //DOUBLE
    const FieldID ASSETS_DPRICE                  = 654; //DOUBLE
    const FieldID CAP_DISTRIBUTION_DPRICE        = 655; //DOUBLE
    const FieldID CURRENT_YIELD_DPRICE           = 656; //DOUBLE
    const FieldID DIVIDEND_DPRICE                = 657; //DOUBLE
    const FieldID INCOME_DISTRIBUTION_DPRICE     = 658; //DOUBLE
    const FieldID LONG_CAP_GAIN                  = 659; //DOUBLE
    const FieldID MARKET_DPRICE                  = 660; //DOUBLE
    const FieldID NAV_DPRICE                     = 661; //DOUBLE
    const FieldID NET_CHANGE_DPRICE              = 662; //DOUBLE
    const FieldID OTHER_CAP_GAIN_DPRICE          = 663; //DOUBLE
    const FieldID PAR_VAL_PER_UNIT_DPRICE        = 664; //DOUBLE
    const FieldID REPORTING_PERIOD               = 665; //INT
    const FieldID SEVEN_DAY_YIELD_DPRICE         = 666; //DOUBLE
    const FieldID SHORT_CAP_GAIN_DPRICE          = 667; //DOUBLE
    const FieldID UNALLOC_DISTRIBUTIONS_DPRICE   = 668; //DOUBLE
    const FieldID CACHE_NAME                     = 669; //STRING
    const FieldID OPEN_CLOSE_FLAG                = 670; //INT
    const FieldID ONE_DAY_RETURN                 = 671; //DOUBLE
    const FieldID YTD_RETURN                     = 672; //DOUBLE
    const FieldID ONE_MTH_RETURN                 = 673; //DOUBLE
    const FieldID THREE_MTH_RETURN               = 674; //DOUBLE
    const FieldID TWELVE_MTH_RETURN              = 675; //DOUBLE
    const FieldID MTD_RETURN                     = 676; //DOUBLE
    const FieldID QTD_RETURN                     = 677; //DOUBLE
    const FieldID WTD_RETURN                     = 678; //DOUBLE
    const FieldID NAV_PREMIUM                    = 679; //DOUBLE
    const FieldID SAVE_FILE_NAME                 = 680; //INT
    const FieldID TOTAL_MONEY_FLOW               = 681; //DOUBLE
    const FieldID TOTAL_MONEY_FLOW_WHOLE         = 682; //INT
    const FieldID TOTAL_MONEY_FLOW_NUM           = 683; //INT
    const FieldID TOTAL_MONEY_FLOW_DENOM         = 684; //INT
    const FieldID TOTAL_BLK_MONEY_FLOW           = 685; //DOUBLE
    const FieldID TOTAL_BLK_MONEY_FLOW_WHOLE     = 686; //INT
    const FieldID TOTAL_BLK_MONEY_FLOW_NUM       = 687; //INT
    const FieldID TOTAL_BLK_MONEY_FLOW_DENOM     = 688; //INT
    const FieldID MONEY_FLOW_DOWN                = 689; //DOUBLE
    const FieldID MONEY_FLOW_UP                  = 690; //DOUBLE
    const FieldID BLK_MONEY_FLOW_DOWN            = 691; //DOUBLE
    const FieldID BLK_MONEY_FLOW_UP              = 692; //DOUBLE
    const FieldID MONEY_FLOW_RATIO               = 693; //DOUBLE
    const FieldID MONEY_FLOW_RATIO_WHOLE         = 694; //INT
    const FieldID MONEY_FLOW_RATIO_NUM           = 695; //INT
    const FieldID MONEY_FLOW_RATIO_DENOM         = 696; //INT
    const FieldID BLK_MONEY_FLOW_RATIO           = 697; //DOUBLE
    const FieldID BLK_MONEY_FLOW_RATIO_WHOLE     = 698; //INT
    const FieldID BLK_MONEY_FLOW_RATIO_NUM       = 699; //INT
    const FieldID EXCH_CUM_VOL                   = 700; //INT
    const FieldID EXCH_AUTO_VOL                  = 701; //INT
    const FieldID BLK_MONEY_FLOW_RATIO_DENOM     = 702; //INT
    const FieldID COMMISSION                     = 703; //STRING
    const FieldID SPECIAL_PRICE_INDICATOR        = 704; //STRING
    const FieldID VOLUME_INDICATOR               = 705; //STRING
    const FieldID ASK_POINTS                     = 706; //DOUBLE
    const FieldID LISTING_DATE                   = 707; //INT
    const FieldID DELISTING_DATE                 = 708; //INT
    const FieldID AVG_30DAY_VOL                  = 709; //FLOAT
    const FieldID COMP_CUM_VOL                   = 710; //INT
    const FieldID OPEN_INTEREST                  = 711; //INT
    const FieldID EX_DATE                        = 712; //INT
    const FieldID EXP_DATE                       = 713; //INT
    const FieldID DIVIDEND                       = 714; //FLOAT
    const FieldID SPLIT_RATIO                    = 715; //FLOAT
    const FieldID SETTLEMENT_PRICE               = 716; //FLOAT
    const FieldID BETA                           = 717; //FLOAT
    const FieldID SR_BOND_RATING                 = 718; //STRING
    const FieldID AVG_DAILY_VOL                  = 719; //FLOAT
    const FieldID THREE_MNTH_RET                 = 720; //FLOAT
    const FieldID YEARLY_RETURN                  = 721; //FLOAT
    const FieldID INDUSTRY                       = 722; //STRING
    const FieldID SECTOR                         = 723; //STRING
    const FieldID COMPANY_HOMEPAGE               = 724; //STRING
    const FieldID CASH_FLOW_PER_SHARE            = 725; //FLOAT
    const FieldID ROE                            = 726; //FLOAT
    const FieldID ROA                            = 727; //FLOAT
    const FieldID QUICK_RATIO                    = 728; //FLOAT
    const FieldID CURRENT_RATIO                  = 729; //FLOAT
    const FieldID DEBT_TO_EQUITY_RATIO           = 730; //FLOAT
    const FieldID GROSS_MARGIN                   = 731; //FLOAT
    const FieldID PROFIT_MARGIN                  = 732; //FLOAT
    const FieldID DIV_PAYOUT_RATIO               = 733; //FLOAT
    const FieldID INVENTORY_TURNOVER             = 734; //FLOAT
    const FieldID DEBT_TO_ASSETS                 = 735; //FLOAT
    const FieldID DIVIDEND_YIELD                 = 736; //FLOAT
    const FieldID CALC_METHOD                    = 737; //FLOAT
    const FieldID CALC_NOM                       = 738; //FLOAT
    const FieldID CALC_NOM_CURR                  = 739; //FLOAT
    const FieldID EXCH_NAME                      = 740; //STRING
    const FieldID ASSET_TURNOVER                 = 741; //FLOAT
    const FieldID NET_MARGIN                     = 742; //FLOAT
    const FieldID DEBT_TO_ASSET_RATIO            = 743; //FLOAT
    const FieldID BOOK_VALUE                     = 744; //FLOAT
    const FieldID SALES_PER_SHARE                = 745; //FLOAT
    const FieldID TOT_RETURN_3MONTH              = 746; //FLOAT
    const FieldID TOT_RETURN_52WEEK              = 747; //FLOAT
    const FieldID SHORT_INTEREST                 = 748; //FLOAT
    const FieldID SHORT_INTEREST_VOL             = 749; //FLOAT
    const FieldID DATA_PATH                      = 750; //INT
    const FieldID RISK                           = 751; //INT
    const FieldID SNAPSHOT_HOST                  = 752; //STRING
    const FieldID SNAPSHOT_PORT                  = 753; //INT
    const FieldID EIPO_PRICE_DENOM               = 754; //INT
    const FieldID EIPO_PRICE_NUM                 = 755; //INT
    const FieldID EIPO_PRICE_WHOLE               = 756; //INT
    const FieldID BOARD_MEETING_DATE             = 757; //INT
    const FieldID PE_RATIO_NUM                   = 758; //INT
    const FieldID PE_RATIO_DENOM                 = 759; //INT
    const FieldID PE_RATIO_WHOLE                 = 760; //INT
    const FieldID FILTER_RULE                    = 761; //INT
    const FieldID CLIENT_USERNAME                = 762; //STRING
    const FieldID CLIENT_SERIAL_NUM              = 763; //STRING
    const FieldID DOLLAR_CHANGE_DBL              = 764; //DOUBLE
    const FieldID EXCH_CLOSE_RNG1_DPRICE         = 765; //DOUBLE
    const FieldID EXCH_CLOSE_RNG2_DPRICE         = 766; //DOUBLE
    const FieldID EXCH_HIGHEST_DPRICE            = 767; //DOUBLE
    const FieldID EXCH_LOWEST_DPRICE             = 768; //DOUBLE
    const FieldID EXCH_OFF_HOUR_DPRICE           = 769; //DOUBLE
    const FieldID EXCH_OPEN_RNG1_DPRICE          = 770; //DOUBLE
    const FieldID EXCH_OPEN_RNG2_DPRICE          = 771; //DOUBLE
    const FieldID EXCH_RESUMPTION1_DPRICE        = 772; //DOUBLE
    const FieldID EXCH_RESUMPTION2_DPRICE        = 773; //DOUBLE
    const FieldID SYMBOLOGY_NAME                 = 774; //STRING
    const FieldID OLD_PRICE_DPRICE               = 775; //DOUBLE
    const FieldID SPECIAL_DPRICE                 = 776; //DOUBLE
    const FieldID TUL_ANNUAL_SWAP_ASK_DPRICE     = 777; //DOUBLE
    const FieldID TUL_ANNUAL_SWAP_BID_DPRICE     = 778; //DOUBLE
    const FieldID TUL_COUPON_RATE_DBL            = 779; //DOUBLE
    const FieldID WTD_AVG_DPRICE                 = 780; //DOUBLE
    const FieldID TODAY_SETTLE_DPRICE            = 781; //DOUBLE
    const FieldID SHORT_SALE_IND_TIME            = 782; //INT
    const FieldID SHORT_SALE_IND_DATE            = 783; //INT
    const FieldID SHORT_SALE_DEACT_TIME          = 784; //INT
    const FieldID SHORT_SALE_DEACT_DATE          = 785; //INT
    const FieldID TOTAL_PUT_CVOL                 = 786; //INT
    const FieldID TOTAL_CALL_CVOL                = 787; //INT
    const FieldID TOTAL_PUT_OPEN_INTEREST        = 788; //INT
    const FieldID TOTAL_CALL_OPEN_INTEREST       = 789; //INT
    const FieldID OPEN_INTEREST_PUT_CALL_RATIO   = 790; //FLOAT
    const FieldID VOL_PUT_CALL_RATIO             = 791; //FLOAT
    const FieldID AUCTION_TIMER                  = 792; //INT
    const FieldID SETTLEMENT_DATE                = 793; //INT
    const FieldID EXCH_SETTLE_OPTI               = 794; //OPTI_PRICE
    const FieldID EXCH_SETTLE_NUM                = 795; //INT
    const FieldID EXCH_SETTLE_DENOM              = 796; //INT
    const FieldID EXCH_SETTLE_WHOLE              = 797; //INT
    const FieldID CLOSE_YIELD_DPRICE             = 798; //DOUBLE
    const FieldID LOW_YIELD_DPRICE               = 799; //DOUBLE
    const FieldID EXCH_ORIG_PRICE                = 800; //FLOAT
    const FieldID EXCH_ORIG_NUM                  = 801; //INT
    const FieldID EXCH_ORIG_DENOM                = 802; //INT
    const FieldID EXCH_ORIG_WHOLE                = 803; //INT
    const FieldID EXCH_ORIG_VOL                  = 804; //INT
    const FieldID OLD_DATE                       = 805; //INT
    const FieldID OLD_PRICE_NUM                  = 806; //INT
    const FieldID OLD_PRICE_DENOM                = 807; //INT
    const FieldID OLD_PRICE_WHOLE                = 808; //INT
    const FieldID OLD_PRICE_OPTI                 = 809; //OPTI_PRICE
    const FieldID COMP_ORIG_PRICE                = 810; //FLOAT
    const FieldID COMP_ORIG_NUM                  = 811; //INT
    const FieldID COMP_ORIG_DENOM                = 812; //INT
    const FieldID COMP_ORIG_WHOLE                = 813; //INT
    const FieldID COMP_ORIG_VOL                  = 814; //INT
    const FieldID SETTLEMENT_DPRICE              = 815; //DOUBLE
    const FieldID PERCENT_DCHANGE                = 816; //DOUBLE
    const FieldID CLOSING_BID_YIELD_DATE         = 817; //INT
    const FieldID PREMKT_PRICE_OPTI              = 818; //OPTI_PRICE
    const FieldID POSTMKT_PRICE_OPTI             = 819; //OPTI_PRICE
    const FieldID EXCH_ORIG_COND                 = 820; //INT
    const FieldID UNCROSSING_BID_DPRICE          = 821; //DOUBLE
    const FieldID UNCROSSING_BID_WHOLE           = 822; //INT
    const FieldID UNCROSSING_BID_NUM             = 823; //INT
    const FieldID UNCROSSING_BID_DENOM           = 824; //INT
    const FieldID UNCROSSING_ASK_DPRICE          = 825; //DOUBLE
    const FieldID UNCROSSING_ASK_WHOLE           = 826; //INT
    const FieldID UNCROSSING_ASK_NUM             = 827; //INT
    const FieldID UNCROSSING_ASK_DENOM           = 828; //INT
    const FieldID DATED_DATE                     = 829; //INT
    const FieldID EXCH_CORR_PRICE                = 830; //FLOAT
    const FieldID EXCH_CORR_NUM                  = 831; //INT
    const FieldID EXCH_CORR_DENOM                = 832; //INT
    const FieldID EXCH_CORR_WHOLE                = 833; //INT
    const FieldID EXCH_CORR_VOL                  = 834; //INT
    const FieldID ASSUMED_SETTLEMENT_DATE        = 835; //INT
    const FieldID BROKER_BROKER                  = 836; //STRING
    const FieldID LIST_OFFERING                  = 837; //STRING
    const FieldID TRADE_FLAGS                    = 838; //INT
    const FieldID HTTP_CANCEL_REQUEST            = 839; //STRING
    const FieldID COMP_CORR_PRICE                = 840; //FLOAT
    const FieldID COMP_CORR_NUM                  = 841; //INT
    const FieldID COMP_CORR_DENOM                = 842; //INT
    const FieldID COMP_CORR_WHOLE                = 843; //INT
    const FieldID COMP_CORR_VOL                  = 844; //INT
    const FieldID PERCENT_SHARES_OUT_WHOLE       = 845; //INT
    const FieldID PERCENT_SHARES_OUT_NUM         = 846; //INT
    const FieldID PERCENT_SHARES_OUT_DENOM       = 847; //INT
    const FieldID PERCENT_SHARES_OUT_OPTI        = 848; //OPTI_PRICE
    const FieldID PERCENT_SHARES_OUT_DBL         = 849; //DOUBLE
    const FieldID EXCH_CORR_COND                 = 850; //INT
    const FieldID PERCENT_CHANGE_WHOLE           = 851; //INT
    const FieldID PERCENT_CHANGE_NUM             = 852; //INT
    const FieldID PERCENT_CHANGE_DENOM           = 853; //INT
    const FieldID TRADE_VALUE_WHOLE              = 854; //INT
    const FieldID TRADE_VALUE_NUM                = 855; //INT
    const FieldID TRADE_VALUE_DENOM              = 856; //INT
    const FieldID TRADE_VALUE_OPTI               = 857; //OPTI_PRICE
    const FieldID TRADE_VALUE                    = 858; //DOUBLE
    const FieldID BLK_TRADE_FLAG                 = 859; //INT
    const FieldID ORIG_LOCAL_LAST_TIME_MS        = 860; //INT
    const FieldID DOLLAR_CHANGE_WHOLE            = 861; //INT
    const FieldID DOLLAR_CHANGE_NUM              = 862; //INT
    const FieldID DOLLAR_CHANGE_DENOM            = 863; //INT
    const FieldID FV_LAST_DPRICE                 = 864; //DOUBLE
    const FieldID FV_CLOSE_DPRICE                = 865; //DOUBLE
    const FieldID FV_PREMIUM_DPRICE              = 866; //DOUBLE
    const FieldID FV_PREMIUM_CLOSE_DPRICE        = 867; //DOUBLE
    const FieldID LOCAL_TRADED_DATE              = 868; //INT
    const FieldID TRADED_PRICE_WHOLE             = 869; //INT
    const FieldID WTD_AVG_PRICE                  = 870; //FLOAT
    const FieldID WTD_AVG_NUM                    = 871; //INT
    const FieldID WTD_AVG_DENOM                  = 872; //INT
    const FieldID WTD_AVG_WHOLE                  = 873; //INT
    const FieldID COMP_WTD_AVG_PRICE             = 874; //FLOAT
    const FieldID COMP_WTD_AVG_NUM               = 875; //INT
    const FieldID COMP_WTD_AVG_DENOM             = 876; //INT
    const FieldID COMP_WTD_AVG_WHOLE             = 877; //INT
    const FieldID WTD_AVG_VOL                    = 878; //INT
    const FieldID NEVER_USE_THIS_FIELD           = 879; //INT
    const FieldID VWAP_CUM_VOL                   = 880; //INT
    const FieldID TURNOVER_NUM                   = 881; //INT
    const FieldID TURNOVER_DENOM                 = 882; //INT
    const FieldID TURNOVER_WHOLE                 = 883; //INT
    const FieldID MORNING_SESSION                = 884; //INT
    const FieldID TURNOVER_OPTI                  = 885; //OPTI_PRICE
    const FieldID COMP_TURNOVER_OPTI             = 886; //OPTI_PRICE
    const FieldID COMP_TURNOVER_NUM              = 887; //INT
    const FieldID COMP_TURNOVER_DENOM            = 888; //INT
    const FieldID COMP_TURNOVER_WHOLE            = 889; //INT
    const FieldID AS_OF_TRADE                    = 890; //INT
    const FieldID CLOSE_YIELD_DIR                = 891; //INT
    const FieldID EXCH_CLOSE_UNADJ_DPRICE        = 892; //DOUBLE
    const FieldID HIGH_YIELD_DIR                 = 893; //INT
    const FieldID LOW_YIELD_DIR                  = 894; //INT
    const FieldID SELLERS_SALE_DAYS              = 895; //INT
    const FieldID PREMKT_DOLLAR_CHANGE           = 896; //DOUBLE
    const FieldID PREMKT_PERCENT_CHANGE          = 897; //DOUBLE
    const FieldID WHEN_ISSUED                    = 898; //INT
    const FieldID YIELD_DIR                      = 899; //INT
    const FieldID ORIG_OPEN_PRICE                = 900; //FLOAT
    const FieldID ORIG_OPEN_NUM                  = 901; //INT
    const FieldID ORIG_OPEN_DENOM                = 902; //INT
    const FieldID ORIG_OPEN_WHOLE                = 903; //INT
    const FieldID ORIG_BID_PRICE                 = 904; //FLOAT
    const FieldID ORIG_BID_NUM                   = 905; //INT
    const FieldID ORIG_BID_DENOM                 = 906; //INT
    const FieldID ORIG_BID_WHOLE                 = 907; //INT
    const FieldID ORIG_ASK_PRICE                 = 908; //FLOAT
    const FieldID ORIG_ASK_NUM                   = 909; //INT
    const FieldID ORIG_ASK_DENOM                 = 910; //INT
    const FieldID ORIG_ASK_WHOLE                 = 911; //INT
    const FieldID TRADED_DPRICE                  = 912; //DOUBLE
    const FieldID TRADED_PRICE_NUM               = 913; //INT
    const FieldID TRADED_PRICE_DENOM             = 914; //INT
    const FieldID TRADED_PRICE_OPTI              = 915; //OPTI_PRICE
    const FieldID LOCAL_TRADED_TIME_MS           = 916; //INT
    const FieldID SYMBOLOGY_LISTING_TYPE         = 917; //STRING
    const FieldID TRADED_LVOL                    = 918; //INT
    const FieldID TRADED_HIGH_PRICE_WHOLE        = 919; //INT
    const FieldID ORIG_CLOSE_PRICE               = 920; //FLOAT
    const FieldID ORIG_CLOSE_NUM                 = 921; //INT
    const FieldID ORIG_CLOSE_DENOM               = 922; //INT
    const FieldID ORIG_CLOSE_WHOLE               = 923; //INT
    const FieldID REPORTING_SIDE                 = 924; //STRING
    const FieldID QUOTE_TYPE                     = 925; //INT
    const FieldID QAM_PROFILE_ID                 = 926; //STRING
    const FieldID QAM_NOTIFICATION_TYPE          = 927; //INT
    const FieldID QAM_NOTIFICATION_LOCATION      = 928; //STRING
    const FieldID QAM_PROFILE_NAME               = 929; //STRING
    const FieldID QAM_PROFILE_DESCRIPTION        = 930; //STRING
    const FieldID QAM_PROFILE_TRIGGER            = 931; //STRING
    const FieldID QAM_TRIGGER_TIME               = 932; //INT
    const FieldID QAM_TRIGGER_DATE               = 933; //INT
    const FieldID QAM_TRIGGER_DPRICE             = 934; //DOUBLE
    const FieldID QAM_TRIGGER_VOL                = 935; //INT
    const FieldID QAM_TRIGGER_STATE              = 936; //INT
    const FieldID TRADED_HIGH_PRICE_NUM          = 937; //INT
    const FieldID TRADED_HIGH_PRICE_DENOM        = 938; //INT
    const FieldID TRADED_HIGH_PRICE_OPTI         = 939; //OPTI_PRICE
    const FieldID TRADED_HIGH_PRICE_DPRICE       = 940; //DOUBLE
    const FieldID LOCAL_TRADED_HIGH_TIME_MS      = 941; //INT
    const FieldID UP_VOLUME                      = 942; //INT64
    const FieldID DOWN_VOLUME                    = 943; //INT64
    const FieldID UNCH_VOLUME                    = 944; //INT64
    const FieldID BID_VOLUME                     = 945; //INT64
    const FieldID ASK_VOLUME                     = 946; //INT64
    const FieldID MID_VOLUME                     = 947; //INT64
    const FieldID NAS_BUY_IMBALANCE              = 948; //INT
    const FieldID NAS_SELL_IMBALANCE             = 949; //INT
    const FieldID PREMKT_TURNOVER_DPRICE         = 950; //DOUBLE
    const FieldID PREMKT_TURNOVER_WHOLE          = 951; //INT
    const FieldID PREMKT_TURNOVER_NUM            = 952; //INT
    const FieldID PREMKT_TURNOVER_DENOM          = 953; //INT
    const FieldID PREMKT_TURNOVER_OPTI           = 954; //OPTI_PRICE
    const FieldID POSTMKT_TURNOVER_DPRICE        = 955; //DOUBLE
    const FieldID POSTMKT_TURNOVER_WHOLE         = 956; //INT
    const FieldID POSTMKT_TURNOVER_NUM           = 957; //INT
    const FieldID POSTMKT_TURNOVER_DENOM         = 958; //INT
    const FieldID POSTMKT_TURNOVER_OPTI          = 959; //OPTI_PRICE
    const FieldID ALL_TRADES_CVOL                = 960; //INT64
    const FieldID ALL_TRADES_QUANTITY            = 961; //INT64
    const FieldID ALL_TRADES_VWAP_WHOLE          = 962; //INT
    const FieldID ALL_TRADES_VWAP_NUM            = 963; //INT
    const FieldID ALL_TRADES_VWAP_DENOM          = 964; //INT
    const FieldID ALL_TRADES_VWAP_DPRICE         = 965; //DOUBLE
    const FieldID ALL_TRADES_VWAP_OPTI           = 966; //OPTI_PRICE
    const FieldID OFF_EXCHANGE_VWAP_WHOLE        = 967; //INT
    const FieldID OFF_EXCHANGE_VWAP_NUM          = 968; //INT
    const FieldID OFF_EXCHANGE_VWAP_DENOM        = 969; //INT
    const FieldID OFF_EXCHANGE_VWAP_DPRICE       = 970; //DOUBLE
    const FieldID OFF_EXCHANGE_VWAP_OPTI         = 971; //OPTI_PRICE
    const FieldID ALL_TRADES_TURNOVER_WHOLE      = 972; //INT
    const FieldID ALL_TRADES_TURNOVER_NUM        = 973; //INT
    const FieldID ALL_TRADES_TURNOVER_DENOM      = 974; //INT
    const FieldID ALL_TRADES_TURNOVER_DBL        = 975; //DOUBLE
    const FieldID ALL_TRADES_TURNOVER_OPTI       = 976; //OPTI_PRICE
    const FieldID OFF_EXCHANGE_TURNOVER_WHOLE    = 977; //INT
    const FieldID OFF_EXCHANGE_TURNOVER_NUM      = 978; //INT
    const FieldID OFF_EXCHANGE_TURNOVER_DENOM    = 979; //INT
    const FieldID ACTION_MSG_SUB_TYPE            = 980; //INT
    const FieldID ACTION_KEY_NOTIFY_NAME         = 981; //STRING
    const FieldID NOTIFY_SYMBOL                  = 982; //STRING
    const FieldID NOTIFY_VALUE                   = 983; //STRING
    const FieldID NOTIFY_VALUE_TYPE              = 984; //SHORT
    const FieldID SWAP_SPREAD_BID_DPRICE         = 985; //DOUBLE
    const FieldID SEMI_SWAP_BID_DPRICE           = 986; //DOUBLE
    const FieldID ANNUAL_SWAP_BID_DPRICE         = 987; //DOUBLE
    const FieldID SWAP_SPREAD_ASK_DPRICE         = 988; //DOUBLE
    const FieldID SEMI_SWAP_ASK_DPRICE           = 989; //DOUBLE
    const FieldID ANNUAL_SWAP_ASK_DPRICE         = 990; //DOUBLE
    const FieldID EARLY_BID_DPRICE               = 991; //DOUBLE
    const FieldID LATE_BID_DPRICE                = 992; //DOUBLE
    const FieldID BID_SPREAD_DPRICE              = 993; //DOUBLE
    const FieldID ASK_SPREAD_DPRICE              = 994; //DOUBLE
    const FieldID OFF_EXCHANGE_TURNOVER_DBL      = 995; //DOUBLE
    const FieldID OFF_EXCHANGE_TURNOVER_OPTI     = 996; //OPTI_PRICE
    const FieldID ASK_HIGH_DPRICE                = 997; //DOUBLE
    const FieldID ASK_LOW_DPRICE                 = 998; //DOUBLE
    const FieldID CACHE_UPDATE_TIMESTAMP         = 999; //INT64
    const FieldID VENDOR_SEQ                     = 1000; //INT
    const FieldID VENDOR_ORIG_SEQ                = 1001; //INT
    const FieldID INSTRUMENT_ID                  = 1002; //INT64
    const FieldID ORDER_ID                       = 1003; //INT64
    const FieldID TRADE_ID                       = 1004; //INT64
    const FieldID YIELD_DPRICE                   = 1005; //DOUBLE
    const FieldID VENUE_CODE                     = 1006; //INT
    const FieldID BOOK_TYPE                      = 1007; //INT
    const FieldID VENUE_INSTRUMENT_ID            = 1008; //STRING
    const FieldID BAND_TOLERANCE                 = 1009; //DOUBLE
    const FieldID VENDOR_SYMBOL                  = 1010; //STRING
    const FieldID TRUE_SYMBOL                    = 1011; //STRING
    const FieldID VENDOR_SYMBOL_INDEX            = 1012; //INT
    const FieldID SPOT_BID_DPRICE                = 1013; //DOUBLE
    const FieldID COMPOSITE_SYMBOL               = 1014; //STRING
    const FieldID RESPONSE_SYMBOL                = 1015; //STRING
    const FieldID PREMKT_PRICE_NUM               = 1016; //INT
    const FieldID PREMKT_PRICE_DENOM             = 1017; //INT
    const FieldID PREMKT_PRICE_WHOLE             = 1018; //INT
    const FieldID PREMKT_PRICE_DPRICE            = 1019; //DOUBLE
    const FieldID MSG_CATEGORY                   = 1020; //STRING
    const FieldID UNDERLYING_ISIN                = 1021; //STRING
    const FieldID UNDERLYING_ID                  = 1022; //STRING
    const FieldID STATIC_REFERENCE_DPRICE        = 1023; //DOUBLE
    const FieldID DYNAMIC_REFERENCE_DPRICE       = 1024; //DOUBLE
    const FieldID REASON_CODE                    = 1025; //INT
    const FieldID DEPTH                          = 1026; //INT64
    const FieldID ORDERS_AT_PRICE                = 1027; //INT64
    const FieldID BID_LIMIT_VOL                  = 1028; //INT64
    const FieldID ASK_LIMIT_VOL                  = 1029; //INT64
    const FieldID MSG_TYPE                       = 1030; //INT
    const FieldID SNAPSHOT                       = 1031; //INT
    const FieldID BUCKET                         = 1032; //INT
    const FieldID TICK_ATTRIBUTE                 = 1033; //INT
    const FieldID TRANSACTION_TIME               = 1034; //INT64
    const FieldID AUCTION_TYPE                   = 1035; //STRING
    const FieldID OFF_BOOK_TIMESTAMP             = 1036; //INT64
    const FieldID CROSS_ID                       = 1037; //STRING
    const FieldID IMBALANCE_VOL                  = 1038; //INT64
    const FieldID ID_STRING                      = 1039; //STRING
    const FieldID VENDOR_DATE                    = 1040; //INT
    const FieldID IMBALANCE_TYPE                 = 1041; //INT
    const FieldID PUB_SEQ_NUM                    = 1042; //INT
    const FieldID BRAND                          = 1043; //STRING
    const FieldID LATENCY_INFO                   = 1044; //STRING
    const FieldID LOCAL_HIGH_TIME_MS             = 1045; //INT
    const FieldID AVG_10DAY_CVOL_AT_TIME         = 1046; //DOUBLE
    const FieldID LOCAL_OPEN_TIME_MS             = 1047; //INT
    const FieldID LOCAL_LOW_TIME_MS              = 1048; //INT
    const FieldID LOCAL_CLOSE_TIME_MS            = 1049; //INT
    const FieldID VENDOR_TIME                    = 1050; //INT
    const FieldID LOCAL_CLOSE_DATE               = 1051; //INT
    const FieldID LOCAL_CONTRACT_HIGH_TIME_MS    = 1052; //INT
    const FieldID LOCAL_CONTRACT_HIGH_DATE       = 1053; //INT
    const FieldID LOCAL_CONTRACT_LOW_TIME_MS     = 1054; //INT
    const FieldID LOCAL_CONTRACT_LOW_DATE        = 1055; //INT
    const FieldID LOCAL_SUSPENSION_TIME_MS       = 1056; //INT
    const FieldID LOCAL_SUSPENSION_DATE          = 1057; //INT
    const FieldID LOCAL_RELEASED_TIME_MS         = 1058; //INT
    const FieldID LOCAL_RELEASED_DATE            = 1059; //INT
    const FieldID VENDOR_CATEGORY                = 1060; //INT
    const FieldID LOCAL_BID_CLOSE_TIME_MS        = 1061; //INT
    const FieldID LOCAL_BID_CLOSE_DATE           = 1062; //INT
    const FieldID LOCAL_ASK_CLOSE_TIME_MS        = 1063; //INT
    const FieldID LOCAL_ASK_CLOSE_DATE           = 1064; //INT
    const FieldID LOCAL_OFFICIAL_CLOSE_TIME_MS   = 1065; //INT
    const FieldID LOCAL_OFFICIAL_CLOSE_DATE      = 1066; //INT
    const FieldID LOCAL_SHORT_SALE_IND_TIME_MS   = 1067; //INT
    const FieldID LOCAL_SHORT_SALE_IND_DATE      = 1068; //INT
    const FieldID LOCAL_TRANSACTION_TIME_MS      = 1069; //INT
    const FieldID VENDOR_PERIOD                  = 1070; //INT
    const FieldID LOCAL_SHORT_SALE_DEACT_TIME_MS = 1071; //INT
    const FieldID LOCAL_SHORT_SALE_DEACT_DATE    = 1072; //INT
    const FieldID LOCAL_VENDOR_TIME_MS           = 1073; //INT
    const FieldID LOCAL_VENDOR_DATE              = 1074; //INT
    const FieldID LOCAL_PREMKT_TIME_MS           = 1075; //INT
    const FieldID LOCAL_POSTMKT_TIME_MS          = 1076; //INT
    const FieldID LOCAL_OFF_HOUR_BID_TIME_MS     = 1077; //INT
    const FieldID LOCAL_OFF_HOUR_ASK_TIME_MS     = 1078; //INT
    const FieldID VWAP_NUMERATOR                 = 1079; //DOUBLE
    const FieldID ISSUE_TYPE                     = 1080; //INT
    const FieldID LOCAL_TDY_CLOSE_TIME_MS        = 1081; //INT
    const FieldID LOCAL_BID_TDY_CLOSE_TIME_MS    = 1082; //INT
    const FieldID LOCAL_ASK_TDY_CLOSE_TIME_MS    = 1083; //INT
    const FieldID COMP_CVOL                      = 1084; //INT64
    const FieldID VWAP_CVOL                      = 1085; //INT64
    const FieldID TP_LAST_VOL                    = 1086; //INT
    const FieldID UPPER_TRADING_BAND_DPRICE      = 1087; //DOUBLE
    const FieldID UPPER_TRADING_BAND_WHOLE       = 1088; //INT
    const FieldID UPPER_TRADING_BAND_NUM         = 1089; //INT
    const FieldID PERCENT_CHANGE                 = 1090; //FLOAT
    const FieldID UPPER_TRADING_BAND_DENOM       = 1091; //INT
    const FieldID UPPER_TRADING_BAND_OPTI        = 1092; //OPTI_PRICE
    const FieldID LOWER_TRADING_BAND_DPRICE      = 1093; //DOUBLE
    const FieldID LOWER_TRADING_BAND_WHOLE       = 1094; //INT
    const FieldID LOWER_TRADING_BAND_NUM         = 1095; //INT
    const FieldID LOWER_TRADING_BAND_DENOM       = 1096; //INT
    const FieldID LOWER_TRADING_BAND_OPTI        = 1097; //OPTI_PRICE
    const FieldID TRADED_PRICE_CONDITION         = 1098; //STRING
    const FieldID HOSTNAME                       = 1099; //STRING
    const FieldID DOLLAR_CHANGE                  = 1100; //FLOAT
    const FieldID BEST_PRICE_STATUS_COND         = 1101; //INT
    const FieldID BROADCAST_UPDATE_COND          = 1102; //INT
    const FieldID TRADE_TIME_COND                = 1103; //INT
    const FieldID UNCROSSING_COND                = 1104; //INT
    const FieldID AUTO_TRADE_IND                 = 1105; //INT
    const FieldID BARGAIN_CONDITION_IND          = 1106; //INT
    const FieldID BEST_PRICE_MSG_IND             = 1107; //INT
    const FieldID CONVERTED_PRICE_IND            = 1108; //INT
    const FieldID COUNTERPARTY1                  = 1109; //STRING
    const FieldID COUNTERPARTY2                  = 1110; //STRING
    const FieldID RPM_NAME                       = 1111; //STRING
    const FieldID PROCESS_NAME                   = 1112; //STRING
    const FieldID PROCESS_GOODNESS               = 1113; //INT
    const FieldID PROCESS_ERRORS                 = 1114; //STRING
    const FieldID PROCESS_REPORTING_TIME         = 1115; //INT
    const FieldID PROCESS_REPORTING_DATE         = 1116; //INT
    const FieldID PROCESS_START_TIME             = 1117; //INT
    const FieldID PROCESS_START_DATE             = 1118; //INT
    const FieldID PROCESS_MSGS_IN                = 1119; //INT64
    const FieldID PROCESS_MSGS_OUT               = 1120; //INT64
    const FieldID SPIN_LAST_DPRICE               = 1121; //DOUBLE
    const FieldID SPIN_CVOL                      = 1122; //INT64
    const FieldID SPIN_HIGH_DPRICE               = 1123; //DOUBLE
    const FieldID SPIN_LOW_DPRICE                = 1124; //DOUBLE
    const FieldID SPIN_BID_DPRICE                = 1125; //DOUBLE
    const FieldID SPIN_ASK_DPRICE                = 1126; //DOUBLE
    const FieldID SPIN_OPEN_INTEREST             = 1127; //INT64
    const FieldID SPIN_SETTLE_DPRICE             = 1128; //DOUBLE
    const FieldID SPIN_OPEN_RNG1_DPRICE          = 1129; //DOUBLE
    const FieldID SPIN_OPEN_RNG2_DPRICE          = 1130; //DOUBLE
    const FieldID SPIN_CLOSE_RNG1_DPRICE         = 1131; //DOUBLE
    const FieldID SPIN_CLOSE_RNG2_DPRICE         = 1132; //DOUBLE
    const FieldID SPIN_RESUMPTION1_DPRICE        = 1133; //DOUBLE
    const FieldID SPIN_RESUMPTION2_DPRICE        = 1134; //DOUBLE
    const FieldID SPIN_EXP_DATE                  = 1135; //INT64
    const FieldID SPIN_TRADE_QUANTITY            = 1136; //INT64
    const FieldID SPIN_OPEN_DPRICE               = 1137; //DOUBLE
    const FieldID SPIN_OFF_HOUR_CVOL             = 1138; //INT64
    const FieldID SPIN_OFF_HOUR_DPRICE           = 1139; //DOUBLE
    const FieldID SPIN_CLOSE_UNADJ_DPRICE        = 1140; //DOUBLE
    const FieldID SENDER_ID                      = 1141; //INT
    const FieldID TP_MML_SENDER_ID               = 1142; //INT
    const FieldID SYMBOLOGY_TOKEN_ID             = 1143; //STRING
    const FieldID OLD_PUBLISHER_NAME             = 1144; //STRING
    const FieldID FUNDAMENTAL_TIMESTAMP          = 1145; //INT
    const FieldID PROCESS_MB_IN                  = 1146; //INT64
    const FieldID PROCESS_MB_OUT                 = 1147; //INT64
    const FieldID PROCESS_CPU_TIME_TOTAL         = 1148; //INT64
    const FieldID PROCESS_CPU_PERCENT_MAX        = 1149; //INT
    const FieldID TP_LAST_DPRICE                 = 1150; //DOUBLE
    const FieldID TP_LOW_DPRICE                  = 1151; //DOUBLE
    const FieldID TP_HIGH_DPRICE                 = 1152; //DOUBLE
    const FieldID TP_OPEN_DPRICE                 = 1153; //DOUBLE
    const FieldID TP_TURNOVER_DPRICE             = 1154; //DOUBLE
    const FieldID TP_CLOSE_DPRICE                = 1155; //DOUBLE
    const FieldID TP_CVOL                        = 1156; //INT64
    const FieldID TP_TRADE_QUANTITY              = 1157; //INT64
    const FieldID PROCESS_MEM_MB_MAX             = 1158; //INT
    const FieldID LOCAL_OPEN_DATE                = 1159; //INT
    const FieldID LOCAL_SETTLEMENT_TIME_MS       = 1160; //INT
    const FieldID LOCAL_SETTLEMENT_DATE          = 1161; //INT
    const FieldID LOCAL_TODAY_SETTLE_DATE        = 1162; //INT
    const FieldID INDICATIVE_PRICE               = 1163; //DOUBLE
    const FieldID MOVING_AVG_10_DAY              = 1164; //DOUBLE
    const FieldID MOVING_AVG_20_DAY              = 1165; //DOUBLE
    const FieldID MOVING_AVG_50_DAY              = 1166; //DOUBLE
    const FieldID MOVING_AVG_100_DAY             = 1167; //DOUBLE
    const FieldID MOVING_AVG_200_DAY             = 1168; //DOUBLE
    const FieldID UPPER_BB                       = 1169; //DOUBLE
    const FieldID LOWER_BB                       = 1170; //DOUBLE
    const FieldID FRACTIONAL_CONTRACT_SIZE       = 1171; //DOUBLE
    const FieldID PREV_CLOSE_DPRICE              = 1172; //DOUBLE
    const FieldID PREV_CLOSE_WHOLE               = 1173; //INT
    const FieldID PREV_CLOSE_NUM                 = 1174; //INT
    const FieldID PREV_CLOSE_DENOM               = 1175; //INT
    const FieldID PREV_CLOSE_UNADJ_DPRICE        = 1176; //DOUBLE
    const FieldID PREV_CLOSE_UNADJ_WHOLE         = 1177; //INT
    const FieldID PREV_CLOSE_UNADJ_NUM           = 1178; //INT
    const FieldID PREV_CLOSE_UNADJ_DENOM         = 1179; //INT
    const FieldID EXCH_LAST_32_DPRICE            = 1180; //DOUBLE
    const FieldID EXCH_CLOSE_32_DPRICE           = 1181; //DOUBLE
    const FieldID FEED_CURRENCY                  = 1182; //STRING
    const FieldID TP_FLAG                        = 1183; //STRING
    const FieldID HALT_DESCRIPTION               = 1184; //STRING
    const FieldID UNDERLYING_PRODUCT_CODE        = 1185; //INT
    const FieldID TP_WTD_AVG                     = 1186; //DOUBLE
    const FieldID TP_LOCAL_LOW_TIME_MS           = 1187; //INT
    const FieldID TP_LOCAL_HIGH_TIME_MS          = 1188; //INT
    const FieldID PREMIUM_PRICE_DPRICE           = 1189; //DOUBLE
    const FieldID COUNTRY_NAME                   = 1190; //STRING
    const FieldID COMMODITY_CODE_ID              = 1191; //STRING
    const FieldID ORDER_RANK                     = 1192; //INT
    const FieldID TP_ADJ_CLOSE_DPRICE            = 1193; //DOUBLE
    const FieldID EXCH_NET_DPRICE                = 1194; //DOUBLE
    const FieldID ORIG_OPEN_DPRICE               = 1195; //DOUBLE
    const FieldID ORIG_ASK_DPRICE                = 1196; //DOUBLE
    const FieldID SHORT_TERM_CAP_GAIN            = 1197; //DOUBLE
    const FieldID EIPO_DPRICE                    = 1198; //DOUBLE
    const FieldID EXCH_CORR_DPRICE               = 1199; //DOUBLE
    const FieldID ORIG_BID_DPRICE                = 1200; //DOUBLE
    const FieldID LONG_TERM_RETURN               = 1201; //DOUBLE
    const FieldID PRE_CLOSE_DPRICE               = 1202; //DOUBLE
    const FieldID UNDERLYING_DPRICE              = 1203; //DOUBLE
    const FieldID PE_RATIO                       = 1204; //DOUBLE
    const FieldID LONG_TERM_CAP_GAIN             = 1205; //DOUBLE
    const FieldID ORIG_CLOSE_DPRICE              = 1206; //DOUBLE
    const FieldID EFFECTIVE_YIELD                = 1207; //DOUBLE
    const FieldID EXCH_ORIG_DPRICE               = 1208; //DOUBLE
    const FieldID OPTION_THEORETICAL_VALUE       = 1209; //DOUBLE
    const FieldID IMPLIED_VOLATILITY             = 1210; //DOUBLE
    const FieldID IMPLIED_VOLATILITY_ASK         = 1211; //DOUBLE
    const FieldID IMPLIED_VOLATILITY_BID         = 1212; //DOUBLE
    const FieldID PRICE_1YEAR_AGO_WHOLE          = 1213; //INT
    const FieldID PRICE_1YEAR_AGO_NUM            = 1214; //INT
    const FieldID PRICE_1YEAR_AGO_DENOM          = 1215; //INT
    const FieldID PRICE_1YEAR_AGO                = 1216; //DOUBLE
    const FieldID COMP_CONTRACT_HIGH_DPRICE      = 1217; //DOUBLE
    const FieldID SPOT_ASK_DPRICE                = 1218; //DOUBLE
    const FieldID COMP_CONTRACT_LOW_DPRICE       = 1219; //DOUBLE
    const FieldID PRICE_52W_HIGH_DATE            = 1220; //INT
    const FieldID FACT_Q0_DPRICE                 = 1221; //DOUBLE
    const FieldID FACT_Q1_DPRICE                 = 1222; //DOUBLE
    const FieldID FACT_Q2_DPRICE                 = 1223; //DOUBLE
    const FieldID FACT_Q3_DPRICE                 = 1224; //DOUBLE
    const FieldID FACT_Q4_DPRICE                 = 1225; //DOUBLE
    const FieldID FACT_Q5_DPRICE                 = 1226; //DOUBLE
    const FieldID FACT_Q6_DPRICE                 = 1227; //DOUBLE
    const FieldID FACT_Q7_DPRICE                 = 1228; //DOUBLE
    const FieldID FACT_Q8_DPRICE                 = 1229; //DOUBLE
    const FieldID FACT_FY0_DPRICE                = 1230; //DOUBLE
    const FieldID FACT_FY1_DPRICE                = 1231; //DOUBLE
    const FieldID FACT_FY2_DPRICE                = 1232; //DOUBLE
    const FieldID FACT_FY3_DPRICE                = 1233; //DOUBLE
    const FieldID FACT_FY4_DPRICE                = 1234; //DOUBLE
    const FieldID FACT_Q0_PERIOD                 = 1235; //INT
    const FieldID FACT_Q1_PERIOD                 = 1236; //INT
    const FieldID FACT_Q2_PERIOD                 = 1237; //INT
    const FieldID FACT_Q3_PERIOD                 = 1238; //INT
    const FieldID FACT_Q4_PERIOD                 = 1239; //INT
    const FieldID FACT_Q5_PERIOD                 = 1240; //INT
    const FieldID FACT_Q6_PERIOD                 = 1241; //INT
    const FieldID FACT_Q7_PERIOD                 = 1242; //INT
    const FieldID FACT_Q8_PERIOD                 = 1243; //INT
    const FieldID FACT_FY0_PERIOD                = 1244; //INT
    const FieldID FACT_FY1_PERIOD                = 1245; //INT
    const FieldID FACT_FY2_PERIOD                = 1246; //INT
    const FieldID FACT_FY3_PERIOD                = 1247; //INT
    const FieldID FACT_FY4_PERIOD                = 1248; //INT
    const FieldID Q0_DATE                        = 1249; //INT
    const FieldID Q1_DATE                        = 1250; //INT
    const FieldID Q2_DATE                        = 1251; //INT
    const FieldID Q3_DATE                        = 1252; //INT
    const FieldID Q4_DATE                        = 1253; //INT
    const FieldID Q5_DATE                        = 1254; //INT
    const FieldID Q6_DATE                        = 1255; //INT
    const FieldID Q7_DATE                        = 1256; //INT
    const FieldID Q8_DATE                        = 1257; //INT
    const FieldID FY0_DATE                       = 1258; //INT
    const FieldID FY1_DATE                       = 1259; //INT
    const FieldID FY2_DATE                       = 1260; //INT
    const FieldID FY3_DATE                       = 1261; //INT
    const FieldID FY4_DATE                       = 1262; //INT
    const FieldID XLT_DPRICE                     = 1263; //DOUBLE
    const FieldID XLT_PRICE_WHOLE                = 1264; //INT
    const FieldID XLT_PRICE_NUM                  = 1265; //INT
    const FieldID XLT_PRICE_DENOM                = 1266; //INT
    const FieldID XLT_TICK_INDICATOR             = 1267; //INT
    const FieldID XLT_CVOL                       = 1268; //INT64
    const FieldID XLT_TRADE_QUANTITY             = 1269; //INT
    const FieldID XLT_TURNOVER                   = 1270; //DOUBLE
    const FieldID XLT_TURNOVER_WHOLE             = 1271; //INT
    const FieldID XLT_TURNOVER_NUM               = 1272; //INT
    const FieldID XLT_TURNOVER_DENOM             = 1273; //INT
    const FieldID XLT_UP_VOLUME                  = 1274; //INT64
    const FieldID XLT_DOWN_VOLUME                = 1275; //INT64
    const FieldID XLT_MONEY_FLOW_UP              = 1276; //DOUBLE
    const FieldID XLT_MONEY_FLOW_UP_WHOLE        = 1277; //INT
    const FieldID XLT_MONEY_FLOW_UP_NUM          = 1278; //INT
    const FieldID XLT_MONEY_FLOW_UP_DENOM        = 1279; //INT
    const FieldID XLT_MONEY_FLOW_DOWN            = 1280; //DOUBLE
    const FieldID XLT_MONEY_FLOW_DOWN_WHOLE      = 1281; //INT
    const FieldID XLT_MONEY_FLOW_DOWN_NUM        = 1282; //INT
    const FieldID XLT_MONEY_FLOW_DOWN_DENOM      = 1283; //INT
    const FieldID XLT_LOCAL_TIME_MS              = 1284; //INT
    const FieldID XLT_LOCAL_DATE                 = 1285; //INT
    const FieldID BUY_ID_SPECIAL                 = 1286; //STRING
    const FieldID SELL_ID_SPECIAL                = 1287; //STRING
    const FieldID UNOFFICIAL_PRICE               = 1288; //DOUBLE
    const FieldID UNOFFICIAL_PRICE_WHOLE         = 1289; //INT
    const FieldID UNOFFICIAL_PRICE_NUM           = 1290; //INT
    const FieldID UNOFFICIAL_PRICE_DENOM         = 1291; //INT
    const FieldID UNOFFICIAL_VOLUME              = 1292; //INT
    const FieldID UNOFFICIAL_PRICE_TIME          = 1293; //INT
    const FieldID UNOFFICIAL_PRICE_DATE          = 1294; //INT
    const FieldID PRICE_52W_LOW_DATE             = 1295; //INT
    const FieldID PRICE_YEAR_END                 = 1296; //DOUBLE
    const FieldID PRICE_YEAR_END_WHOLE           = 1297; //INT
    const FieldID PRICE_YEAR_END_NUM             = 1298; //INT
    const FieldID PRICE_YEAR_END_DENOM           = 1299; //INT
    const FieldID EXCH_LAST_PRICE_OPTI           = 1300; //OPTI_PRICE
    const FieldID COMP_LAST_PRICE_OPTI           = 1301; //OPTI_PRICE
    const FieldID EXCH_BID_PRICE_OPTI            = 1302; //OPTI_PRICE
    const FieldID COMP_BID_PRICE_OPTI            = 1303; //OPTI_PRICE
    const FieldID EXCH_ASK_PRICE_OPTI            = 1304; //OPTI_PRICE
    const FieldID COMP_ASK_PRICE_OPTI            = 1305; //OPTI_PRICE
    const FieldID WTD_AVG_PRICE_OPTI             = 1306; //OPTI_PRICE
    const FieldID COMP_WTD_AVG_PRICE_OPTI        = 1307; //OPTI_PRICE
    const FieldID EXCH_OPEN_PRICE_OPTI           = 1308; //OPTI_PRICE
    const FieldID COMP_OPEN_PRICE_OPTI           = 1309; //OPTI_PRICE
    const FieldID EXCH_CLOSE_PRICE_OPTI          = 1310; //OPTI_PRICE
    const FieldID COMP_CLOSE_PRICE_OPTI          = 1311; //OPTI_PRICE
    const FieldID EXCH_HIGH_PRICE_OPTI           = 1312; //OPTI_PRICE
    const FieldID COMP_HIGH_PRICE_OPTI           = 1313; //OPTI_PRICE
    const FieldID EXCH_LOW_PRICE_OPTI            = 1314; //OPTI_PRICE
    const FieldID COMP_LOW_PRICE_OPTI            = 1315; //OPTI_PRICE
    const FieldID EXCH_HIGHEST_PRICE_OPTI        = 1316; //OPTI_PRICE
    const FieldID COMP_HIGHEST_PRICE_OPTI        = 1317; //OPTI_PRICE
    const FieldID EXCH_LOWEST_PRICE_OPTI         = 1318; //OPTI_PRICE
    const FieldID COMP_LOWEST_PRICE_OPTI         = 1319; //OPTI_PRICE
    const FieldID EXCH_OPEN_RNG1_PRICE_OPTI      = 1320; //OPTI_PRICE
    const FieldID EXCH_OPEN_RNG2_PRICE_OPTI      = 1321; //OPTI_PRICE
    const FieldID EXCH_CLOSE_RNG1_PRICE_OPTI     = 1322; //OPTI_PRICE
    const FieldID EXCH_CLOSE_RNG2_PRICE_OPTI     = 1323; //OPTI_PRICE
    const FieldID CONTRACT_HIGH_PRICE_OPTI       = 1324; //OPTI_PRICE
    const FieldID CONTRACT_LOW_PRICE_OPTI        = 1325; //OPTI_PRICE
    const FieldID EXCH_RESUMPTION1_PRICE_OPTI    = 1326; //OPTI_PRICE
    const FieldID EXCH_RESUMPTION2_PRICE_OPTI    = 1327; //OPTI_PRICE
    const FieldID ASK_TICK_INDICATOR             = 1328; //INT
    const FieldID PERCENT_CHANGE_OPTI            = 1329; //OPTI_PRICE
    const FieldID DOLLAR_CHANGE_OPTI             = 1330; //OPTI_PRICE
    const FieldID ID_SERVICE_RT                  = 1331; //STRING
    const FieldID ID_SERVICE_DL                  = 1332; //STRING
    const FieldID ID_SERVICE_FUND                = 1333; //STRING
    const FieldID UNOFFICIAL_CONDITION           = 1334; //STRING
    const FieldID TRADE_LOT_SIZE                 = 1335; //INT
    const FieldID INDICATIVE_PRICE_WHOLE         = 1336; //INT
    const FieldID INDICATIVE_PRICE_NUM           = 1337; //INT
    const FieldID INDICATIVE_PRICE_DENOM         = 1338; //INT
    const FieldID INDICATIVE_VOLUME              = 1339; //INT
    const FieldID INDICATIVE_CONDITION           = 1340; //STRING
    const FieldID AUTO_TURNOVER                  = 1341; //DOUBLE
    const FieldID AUTO_TURNOVER_WHOLE            = 1342; //INT
    const FieldID AUTO_TURNOVER_NUM              = 1343; //INT
    const FieldID AUTO_TURNOVER_DENOM            = 1344; //INT
    const FieldID CLOSING_VOLUME                 = 1345; //INT
    const FieldID BID_ASK_SPREAD                 = 1346; //DOUBLE
    const FieldID BID_ASK_SPREAD_WHOLE           = 1347; //INT
    const FieldID BID_ASK_SPREAD_NUM             = 1348; //INT
    const FieldID BID_ASK_SPREAD_DENOM           = 1349; //INT
    const FieldID DEALER_SELL_CVOL               = 1350; //INT64
    const FieldID DEALER_BUY_CVOL                = 1351; //INT64
    const FieldID CRAP_INTERDEALER_CVOL          = 1352; //INT64
    const FieldID ESTIMATED_CVOL                 = 1353; //INT64
    const FieldID BID_ASK_SPREAD_PERCENT         = 1354; //DOUBLE
    const FieldID BID_ASK_SPREAD_PERCENT_WHOLE   = 1355; //INT
    const FieldID BID_ASK_SPREAD_PERCENT_NUM     = 1356; //INT
    const FieldID BID_ASK_SPREAD_PERCENT_DENOM   = 1357; //INT
    const FieldID CROSS_TRADE_VOLUME             = 1358; //INT
    const FieldID DARK_TRADE_VOLUME              = 1359; //INT
    const FieldID INDICATIVE_PRICE_TIME          = 1360; //INT
    const FieldID INDICATIVE_PRICE_DATE          = 1361; //INT
    const FieldID ACTUAL_VOLUME                  = 1362; //INT
    const FieldID VWAP_10B18                     = 1363; //DOUBLE
    const FieldID VWAP_10B18_WHOLE               = 1364; //INT
    const FieldID VWAP_10B18_NUM                 = 1365; //INT
    const FieldID VWAP_10B18_DENOM               = 1366; //INT
    const FieldID VWAP_10B18_VOLUME              = 1367; //INT64
    const FieldID LAST_PRICE_TYPE                = 1368; //INT
    const FieldID BENCHMARK_YIELD                = 1369; //DOUBLE
    const FieldID BENCHMARK_YIELD_WHOLE          = 1370; //INT
    const FieldID BENCHMARK_YIELD_NUM            = 1371; //INT
    const FieldID BENCHMARK_YIELD_DENOM          = 1372; //INT
    const FieldID BENCHMARK_YIELD_BID            = 1373; //DOUBLE
    const FieldID BENCHMARK_YIELD_BID_WHOLE      = 1374; //INT
    const FieldID BENCHMARK_YIELD_BID_NUM        = 1375; //INT
    const FieldID BENCHMARK_YIELD_BID_DENOM      = 1376; //INT
    const FieldID BENCHMARK_YIELD_ASK            = 1377; //DOUBLE
    const FieldID BENCHMARK_YIELD_ASK_WHOLE      = 1378; //INT
    const FieldID BENCHMARK_YIELD_ASK_NUM        = 1379; //INT
    const FieldID BENCHMARK_YIELD_ASK_DENOM      = 1380; //INT
    const FieldID BENCHMARK_SPREAD               = 1381; //DOUBLE
    const FieldID BENCHMARK_SPREAD_WHOLE         = 1382; //INT
    const FieldID BENCHMARK_SPREAD_NUM           = 1383; //INT
    const FieldID BENCHMARK_SPREAD_DENOM         = 1384; //INT
    const FieldID BENCHMARK_SPREAD_BID           = 1385; //DOUBLE
    const FieldID BENCHMARK_SPREAD_BID_WHOLE     = 1386; //INT
    const FieldID BENCHMARK_SPREAD_BID_NUM       = 1387; //INT
    const FieldID BENCHMARK_SPREAD_BID_DENOM     = 1388; //INT
    const FieldID BENCHMARK_SPREAD_ASK           = 1389; //DOUBLE
    const FieldID BENCHMARK_SPREAD_ASK_WHOLE     = 1390; //INT
    const FieldID BENCHMARK_SPREAD_ASK_NUM       = 1391; //INT
    const FieldID BENCHMARK_SPREAD_ASK_DENOM     = 1392; //INT
    const FieldID YIELD_TYPE                     = 1393; //STRING
    const FieldID TRADED_YIELD                   = 1394; //DOUBLE
    const FieldID TRADED_YIELD_WHOLE             = 1395; //INT
    const FieldID TRADED_YIELD_NUM               = 1396; //INT
    const FieldID TRADED_YIELD_DENOM             = 1397; //INT
    const FieldID DAILY_AVG_SPREAD_PERCENT       = 1398; //DOUBLE
    const FieldID DAILY_AVG_SPREAD               = 1399; //DOUBLE
    const FieldID PAR_VAL_PER_UNIT               = 1400; //FLOAT
    const FieldID HELD_TRADE                     = 1401; //INT
    const FieldID BID_ASK_SPREAD_STD             = 1402; //DOUBLE
    const FieldID YIELD_WHOLE                    = 1403; //INT
    const FieldID YIELD_NUM                      = 1404; //INT
    const FieldID YIELD_DENOM                    = 1405; //INT
    const FieldID BENCHMARK_ID                   = 1406; //STRING
    const FieldID ID_SERVICES_DATA               = 1407; //STRING
    const FieldID DYNAMIC_ISO_CODE               = 1408; //STRING
    const FieldID MSG_GENESIS                    = 1409; //INT64
    const FieldID ACTUAL_CVOL                    = 1410; //INT64
    const FieldID FEED_SYMBOL                    = 1411; //STRING
    const FieldID QAM_RT_ACCESS                  = 1412; //INT
    const FieldID OPTION_STYLE                   = 1413; //INT
    const FieldID HALT_INFO                      = 1414; //INT
    const FieldID SPOT_PRECISION                 = 1415; //INT
    const FieldID SHORT_SALE_VOLUME              = 1416; //INT
    const FieldID OPTION_TYPE                    = 1417; //INT
    const FieldID CUM_VOL_2_MIN                  = 1418; //INT64
    const FieldID CUM_VOL_5_MIN                  = 1419; //INT64
    const FieldID CUM_VOL_15_MIN                 = 1420; //INT64
    const FieldID CUM_VOL_30_MIN                 = 1421; //INT64
    const FieldID CUM_VOL_60_MIN                 = 1422; //INT64
    const FieldID INJECTED_SEQ                   = 1423; //INT64
    const FieldID DIVIDEND_FREQUENCY             = 1424; //INT
    const FieldID RISK_FREE_INTEREST_RATE        = 1425; //DOUBLE
    const FieldID NEXT_AVAILABLE_DIVIDEND_DATE   = 1426; //INT
    const FieldID PRICE_HIGH_2_MIN               = 1427; //DOUBLE
    const FieldID PRICE_HIGH_5_MIN               = 1428; //DOUBLE
    const FieldID PRICE_HIGH_15_MIN              = 1429; //DOUBLE
    const FieldID PRICE_HIGH_30_MIN              = 1430; //DOUBLE
    const FieldID PRICE_HIGH_60_MIN              = 1431; //DOUBLE
    const FieldID PRICE_LOW_2_MIN                = 1432; //DOUBLE
    const FieldID PRICE_LOW_5_MIN                = 1433; //DOUBLE
    const FieldID PRICE_LOW_15_MIN               = 1434; //DOUBLE
    const FieldID PRICE_LOW_30_MIN               = 1435; //DOUBLE
    const FieldID PRICE_LOW_60_MIN               = 1436; //DOUBLE
    const FieldID SPIN_TRADED                    = 1437; //INT
    const FieldID FIRST_SESSION_PRICE            = 1438; //DOUBLE
    const FieldID FIRST_SESSION_PRICE_WHOLE      = 1439; //INT
    const FieldID FIRST_SESSION_PRICE_NUM        = 1440; //INT
    const FieldID FIRST_SESSION_PRICE_DENOM      = 1441; //INT
    const FieldID FIRST_SESSION_HIGH             = 1442; //DOUBLE
    const FieldID FIRST_SESSION_HIGH_WHOLE       = 1443; //INT
    const FieldID FIRST_SESSION_HIGH_NUM         = 1444; //INT
    const FieldID FIRST_SESSION_HIGH_DENOM       = 1445; //INT
    const FieldID FIRST_SESSION_LOW              = 1446; //DOUBLE
    const FieldID FIRST_SESSION_LOW_WHOLE        = 1447; //INT
    const FieldID FIRST_SESSION_LOW_NUM          = 1448; //INT
    const FieldID FIRST_SESSION_LOW_DENOM        = 1449; //INT
    const FieldID FIRST_SESSION_CLOSE            = 1450; //DOUBLE
    const FieldID FIRST_SESSION_CLOSE_WHOLE      = 1451; //INT
    const FieldID FIRST_SESSION_CLOSE_NUM        = 1452; //INT
    const FieldID FIRST_SESSION_CLOSE_DENOM      = 1453; //INT
    const FieldID FIRST_SESSION_CVOL             = 1454; //INT64
    const FieldID FIRST_SESSION_VWAP             = 1455; //DOUBLE
    const FieldID FIRST_SESSION_VWAP_WHOLE       = 1456; //INT
    const FieldID FIRST_SESSION_VWAP_NUM         = 1457; //INT
    const FieldID FIRST_SESSION_VWAP_DENOM       = 1458; //INT
    const FieldID SECOND_SESSION_PRICE           = 1459; //DOUBLE
    const FieldID SECOND_SESSION_PRICE_WHOLE     = 1460; //INT
    const FieldID SECOND_SESSION_PRICE_NUM       = 1461; //INT
    const FieldID SECOND_SESSION_PRICE_DENOM     = 1462; //INT
    const FieldID SECOND_SESSION_HIGH            = 1463; //DOUBLE
    const FieldID SECOND_SESSION_HIGH_WHOLE      = 1464; //INT
    const FieldID SECOND_SESSION_HIGH_NUM        = 1465; //INT
    const FieldID SECOND_SESSION_HIGH_DENOM      = 1466; //INT
    const FieldID SECOND_SESSION_LOW             = 1467; //DOUBLE
    const FieldID SECOND_SESSION_LOW_WHOLE       = 1468; //INT
    const FieldID SECOND_SESSION_LOW_NUM         = 1469; //INT
    const FieldID SECOND_SESSION_LOW_DENOM       = 1470; //INT
    const FieldID SECOND_SESSION_CLOSE           = 1471; //DOUBLE
    const FieldID SECOND_SESSION_CLOSE_WHOLE     = 1472; //INT
    const FieldID SECOND_SESSION_CLOSE_NUM       = 1473; //INT
    const FieldID SECOND_SESSION_CLOSE_DENOM     = 1474; //INT
    const FieldID SECOND_SESSION_CVOL            = 1475; //INT64
    const FieldID SECOND_SESSION_VWAP            = 1476; //DOUBLE
    const FieldID SECOND_SESSION_VWAP_WHOLE      = 1477; //INT
    const FieldID SECOND_SESSION_VWAP_NUM        = 1478; //INT
    const FieldID SECOND_SESSION_VWAP_DENOM      = 1479; //INT
    const FieldID OPEN_AUCTION_VOLUME            = 1480; //INT64
    const FieldID CLOSING_AUCTION_VOLUME         = 1481; //INT64
    const FieldID PRICE_1WEEK_AGO                = 1482; //DOUBLE
    const FieldID PRICE_1WEEK_AGO_WHOLE          = 1483; //INT
    const FieldID PRICE_1WEEK_AGO_NUM            = 1484; //INT
    const FieldID PRICE_1WEEK_AGO_DENOM          = 1485; //INT
    const FieldID PRICE_1MONTH_AGO_WHOLE         = 1486; //INT
    const FieldID PRICE_1MONTH_AGO_NUM           = 1487; //INT
    const FieldID PRICE_1MONTH_AGO_DENOM         = 1488; //INT
    const FieldID PRICE_3MONTH_AGO               = 1489; //DOUBLE
    const FieldID PRICE_1MONTH_AGO               = 1490; //DOUBLE
    const FieldID PRICE_3MONTH_AGO_WHOLE         = 1491; //INT
    const FieldID PRICE_3MONTH_AGO_NUM           = 1492; //INT
    const FieldID PRICE_3MONTH_AGO_DENOM         = 1493; //INT
    const FieldID PRICE_6MONTH_AGO               = 1494; //DOUBLE
    const FieldID PRICE_6MONTH_AGO_WHOLE         = 1495; //INT
    const FieldID PRICE_6MONTH_AGO_NUM           = 1496; //INT
    const FieldID PRICE_6MONTH_AGO_DENOM         = 1497; //INT
    const FieldID CRAP_ATS_VOLUME                = 1498; //INT64
    const FieldID TICK_SIZE                      = 1499; //DOUBLE
    const FieldID SPECIAL_PRICE                  = 1500; //FLOAT
    const FieldID SPECIAL_PRICE_NUM              = 1501; //INT
    const FieldID SPECIAL_PRICE_DENOM            = 1502; //INT
    const FieldID SPECIAL_PRICE_WHOLE            = 1503; //INT
    const FieldID TICK_SIZE_WHOLE                = 1504; //INT
    const FieldID TICK_SIZE_NUM                  = 1505; //INT
    const FieldID TICK_SIZE_DENOM                = 1506; //INT
    const FieldID TICK_GROUP                     = 1507; //STRING
    const FieldID TICK_PILOT_EFF_DATE            = 1508; //INT
    const FieldID PRICE_MULTIPLIER               = 1509; //DOUBLE
    const FieldID PRICE_MULTIPLIER_WHOLE         = 1510; //INT
    const FieldID PRICE_MULTIPLIER_NUM           = 1511; //INT
    const FieldID PRICE_MULTIPLIER_DENOM         = 1512; //INT
    const FieldID NOMINAL_VALUE                  = 1513; //DOUBLE
    const FieldID NOMINAL_VALUE_WHOLE            = 1514; //INT
    const FieldID NOMINAL_VALUE_NUM              = 1515; //INT
    const FieldID NOMINAL_VALUE_DENOM            = 1516; //INT
    const FieldID PRIMARY_MARKET                 = 1517; //STRING
    const FieldID INTRADAY_AUCTION_VOLUME        = 1518; //INT64
    const FieldID DYNAMIC_TOLERANCE_WHOLE        = 1519; //INT
    const FieldID DYNAMIC_TOLERANCE_NUM          = 1520; //INT
    const FieldID DYNAMIC_TOLERANCE_DENOM        = 1521; //INT
    const FieldID STATIC_TOLERANCE_WHOLE         = 1522; //INT
    const FieldID STATIC_TOLERANCE_NUM           = 1523; //INT
    const FieldID STATIC_TOLERANCE_DENOM         = 1524; //INT
    const FieldID AUTO_VWAP_DPRICE_WHOLE         = 1525; //INT
    const FieldID AUTO_VWAP_DPRICE_NUM           = 1526; //INT
    const FieldID AUTO_VWAP_DPRICE_DENOM         = 1527; //INT
    const FieldID SECOND_SESSION_OPEN            = 1528; //DOUBLE
    const FieldID SECOND_SESSION_OPEN_WHOLE      = 1529; //INT
    const FieldID SECOND_SESSION_OPEN_NUM        = 1530; //INT
    const FieldID SECOND_SESSION_OPEN_DENOM      = 1531; //INT
    const FieldID AVG_10DAY_VOL                  = 1532; //DOUBLE
    const FieldID AVG_10DAY_VOL_WHOLE            = 1533; //INT
    const FieldID AVG_10DAY_VOL_NUM              = 1534; //INT
    const FieldID AVG_10DAY_VOL_DENOM            = 1535; //INT
    const FieldID AVG_90DAY_VOL                  = 1536; //DOUBLE
    const FieldID AVG_90DAY_VOL_WHOLE            = 1537; //INT
    const FieldID AVG_90DAY_VOL_NUM              = 1538; //INT
    const FieldID AVG_90DAY_VOL_DENOM            = 1539; //INT
    const FieldID PDT_CX                         = 1540; //INT
    const FieldID SHORT_SALE_TURNOVER            = 1541; //DOUBLE
    const FieldID SHORT_SALE_TURNOVER_WHOLE      = 1542; //INT
    const FieldID SHORT_SALE_TURNOVER_NUM        = 1543; //INT
    const FieldID SHORT_SALE_TURNOVER_DENOM      = 1544; //INT
    const FieldID CDS_SERIES                     = 1545; //STRING
    const FieldID CDS_VERSION                    = 1546; //STRING
    const FieldID CDS_TERM                       = 1547; //STRING
    const FieldID CDS_RED_CODE                   = 1548; //STRING
    const FieldID CDS_COMPOSITE_SPREAD           = 1549; //DOUBLE
    const FieldID CDS_COMPOSITE_SPREAD_WHOLE     = 1550; //INT
    const FieldID CDS_COMPOSITE_SPREAD_NUM       = 1551; //INT
    const FieldID CDS_COMPOSITE_SPREAD_DENOM     = 1552; //INT
    const FieldID CDS_MODEL_SPREAD               = 1553; //DOUBLE
    const FieldID CDS_MODEL_SPREAD_WHOLE         = 1554; //INT
    const FieldID CDS_MODEL_SPREAD_NUM           = 1555; //INT
    const FieldID CDS_MODEL_SPREAD_DENOM         = 1556; //INT
    const FieldID CDS_DEPTH                      = 1557; //INT
    const FieldID CDS_HEAT                       = 1558; //DOUBLE
    const FieldID CDS_HEAT_WHOLE                 = 1559; //INT
    const FieldID CDS_HEAT_NUM                   = 1560; //INT
    const FieldID CDS_HEAT_DENOM                 = 1561; //INT
    const FieldID CDS_MODEL_PRICE                = 1562; //DOUBLE
    const FieldID CDS_MODEL_PRICE_WHOLE          = 1563; //INT
    const FieldID CDS_MODEL_PRICE_NUM            = 1564; //INT
    const FieldID CDS_MODEL_PRICE_DENOM          = 1565; //INT
    const FieldID LAST                           = 1566; //DOUBLE
    const FieldID CDS_PRICE                      = 1567; //DOUBLE
    const FieldID CDS_PRICE_WHOLE                = 1568; //INT
    const FieldID CDS_PRICE_NUM                  = 1569; //INT
    const FieldID CDS_PRICE_DENOM                = 1570; //INT
    const FieldID CLEAN_PRICE                    = 1571; //DOUBLE
    const FieldID CLEAN_PRICE_WHOLE              = 1572; //INT
    const FieldID CLEAN_PRICE_NUM                = 1573; //INT
    const FieldID CLEAN_PRICE_DENOM              = 1574; //INT
    const FieldID DIRTY_PRICE                    = 1575; //DOUBLE
    const FieldID DIRTY_PRICE_WHOLE              = 1576; //INT
    const FieldID DIRTY_PRICE_NUM                = 1577; //INT
    const FieldID DIRTY_PRICE_DENOM              = 1578; //INT
    const FieldID EXECUTION_VENUE                = 1579; //STRING
    const FieldID TICK_TABLE_KEY                 = 1580; //STRING
    const FieldID DARK_LIS_THRESHOLD             = 1581; //INT
    const FieldID EVALUATED_PRICE                = 1582; //DOUBLE
    const FieldID EVALUATED_PRICE_WHOLE          = 1583; //INT
    const FieldID EVALUATED_PRICE_NUM            = 1584; //INT
    const FieldID EVALUATED_PRICE_DENOM          = 1585; //INT
    const FieldID EVALUATED_SPREAD               = 1586; //DOUBLE
    const FieldID EVALUATED_SPREAD_WHOLE         = 1587; //INT
    const FieldID EVALUATED_SPREAD_NUM           = 1588; //INT
    const FieldID EVALUATED_SPREAD_DENOM         = 1589; //INT
    const FieldID CRAP_LIS_VOLUME                = 1590; //INT64
    const FieldID NOTIONAL_AMOUNT                = 1591; //DOUBLE
    const FieldID NOTIONAL_AMOUNT_WHOLE          = 1592; //INT
    const FieldID NOTIONAL_AMOUNT_NUM            = 1593; //INT
    const FieldID NOTIONAL_AMOUNT_DENOM          = 1594; //INT
    const FieldID NOTIONAL_CURRENCY              = 1595; //STRING
    const FieldID PRICE_NOTATION                 = 1596; //STRING
    const FieldID QUANTITY_NOTATION              = 1597; //STRING
    const FieldID TRANSPARENCY_INDICATOR         = 1598; //INT
    const FieldID MIFID_CLEARING_FLAG            = 1599; //INT
    const FieldID UNDERLYING_MIC                 = 1600; //STRING
    const FieldID MIC_CODE_SEG                   = 1601; //STRING
    const FieldID OPERATING_MIC                  = 1602; //STRING
    const FieldID NON_OPERATING_MIC              = 1603; //STRING
    const FieldID TRANSACTION_ID_CODE            = 1604; //STRING
    const FieldID PUBLICATION_VENUE              = 1605; //STRING
    const FieldID PUBLICATION_TIME_EPOCH         = 1606; //INT64
    const FieldID INSTRUMENT_CODE_TYPE           = 1607; //STRING
    const FieldID INSTRUMENT_STATE               = 1608; //INT
    const FieldID EXECUTION_TIME_EPOCH           = 1609; //INT64
    const FieldID MMT_MARKET_MECHANISM           = 1610; //STRING
    const FieldID MMT_TRADING_MODE               = 1611; //STRING
    const FieldID MMT_TRANSACTION_TYPE           = 1612; //STRING
    const FieldID MMT_PUBLICATION_MODE           = 1613; //STRING
    const FieldID MMT_DUPLICATIVE_INDICATOR      = 1614; //STRING
    const FieldID CORPORATE_ACTIONS_BITMASK      = 1615; //INT
    const FieldID ROLLOVER_STATE                 = 1616; //INT
    const FieldID FEED_ADDRESS_ID                = 1617; //INT
    const FieldID CRAP_NEGOTIATED_VOLUME         = 1618; //INT64
    const FieldID CRAP_REFERENCE_VOLUME          = 1619; //INT64
    const FieldID TREASURY_TYPE                  = 1620; //INT
    const FieldID ISO_COUNTRY_EXCHANGE           = 1621; //STRING
    const FieldID OPEN_AUCTION_PRICE             = 1622; //DOUBLE
    const FieldID OPEN_AUCTION_PRICE_WHOLE       = 1623; //INT
    const FieldID OPEN_AUCTION_PRICE_NUM         = 1624; //INT
    const FieldID OPEN_AUCTION_PRICE_DENOM       = 1625; //INT
    const FieldID CLOSING_AUCTION_PRICE          = 1626; //DOUBLE
    const FieldID CLOSING_AUCTION_PRICE_NUM      = 1627; //INT
    const FieldID CLOSING_AUCTION_PRICE_WHOLE    = 1628; //INT
    const FieldID CLOSING_AUCTION_PRICE_DENOM    = 1629; //INT
    const FieldID DIVIDEND_FACTOR                = 1630; //DOUBLE
    const FieldID SPLIT_FACTOR                   = 1631; //DOUBLE
    const FieldID SPECIAL_DIVIDEND_FACTOR        = 1632; //DOUBLE
    const FieldID TREASURY_ID                    = 1633; //STRING
    const FieldID FIRST_TRADE_DATE               = 1634; //INT
    const FieldID INTERDEALER_CVOL               = 1635; //INT
    const FieldID ATS_VOLUME                     = 1636; //INT
    const FieldID LIS_VOLUME                     = 1637; //INT
    const FieldID NEGOTIATED_VOLUME              = 1638; //INT
    const FieldID REFERENCE_VOLUME               = 1639; //INT
    const FieldID UPPER_TICK_SIZE                = 1640; //DOUBLE
    const FieldID UPPER_TICK_SIZE_WHOLE          = 1641; //INT
    const FieldID UPPER_TICK_SIZE_NUM            = 1642; //INT
    const FieldID UPPER_TICK_SIZE_DENOM          = 1643; //INT
    const FieldID LOWER_TICK_SIZE                = 1644; //DOUBLE
    const FieldID LOWER_TICK_SIZE_WHOLE          = 1645; //INT
    const FieldID LOWER_TICK_SIZE_NUM            = 1646; //INT
    const FieldID LOWER_TICK_SIZE_DENOM          = 1647; //INT
    const FieldID OTC_VOLUME                     = 1648; //INT
    const FieldID SI_VOLUME                      = 1649; //INT
    const FieldID UNOFFICIAL_EXCH                = 1650; //INT
    const FieldID FDSG_SOURCE_ID                 = 1651; //INT
    const FieldID FDSG_UPDATE_STATUS             = 1652; //INT
    const FieldID FDSG_ID_INSTRUMENT             = 1653; //INT
    const FieldID FDSG_SECURITY_TYPE             = 1654; //INT
    const FieldID FDSG_ID_NOTATION               = 1655; //INT
    const FieldID FDSG_EXCHANGE_ID               = 1656; //INT
    const FieldID FDSG_CONTRIBUTER_ID            = 1657; //INT
    const FieldID WKN                            = 1658; //STRING
    const FieldID UPDATE_COUNT                   = 1659; //INT64
    const FieldID VENDOR_TS                      = 1660; //EPOCH_NSEC
    const FieldID BID_TS                         = 1661; //EPOCH_NSEC
    const FieldID BID_CLOSE_TS                   = 1662; //EPOCH_NSEC
    const FieldID ASK_TS                         = 1663; //EPOCH_NSEC
    const FieldID ASK_CLOSE_TS                   = 1664; //EPOCH_NSEC
    const FieldID MID_TS                         = 1665; //EPOCH_NSEC
    const FieldID MID_CLOSE_TS                   = 1666; //EPOCH_NSEC
    const FieldID OPEN_TS                        = 1667; //EPOCH_NSEC
    const FieldID HIGH_TS                        = 1668; //EPOCH_NSEC
    const FieldID LOW_TS                         = 1669; //EPOCH_NSEC
    const FieldID UNOFFICIAL_TS                  = 1670; //EPOCH_NSEC
    const FieldID TRADED_TS                      = 1671; //EPOCH_NSEC
    const FieldID PREMKT_TS                      = 1672; //EPOCH_NSEC
    const FieldID POSTMKT_TS                     = 1673; //EPOCH_NSEC
    const FieldID LAST_TS                        = 1674; //EPOCH_NSEC
    const FieldID PREV_CLOSE_TS                  = 1675; //EPOCH_NSEC
    const FieldID CLOSE_TS                       = 1676; //EPOCH_NSEC
    const FieldID MOVING_AVG_15_DAY              = 1677; //DOUBLE
    const FieldID MOVING_AVG_150_DAY             = 1678; //DOUBLE
    const FieldID AVG_60DAY_VOL                  = 1679; //DOUBLE
    const FieldID AVG_60DAY_VOL_WHOLE            = 1680; //INT
    const FieldID AVG_60DAY_VOL_NUM              = 1681; //INT
    const FieldID AVG_60DAY_VOL_DENOM            = 1682; //INT
    const FieldID MARKET_VALUE                   = 1683; //DOUBLE
    const FieldID MARKET_VALUE_WHOLE             = 1684; //INT
    const FieldID MARKET_VALUE_NUM               = 1685; //INT
    const FieldID MARKET_VALUE_DENOM             = 1686; //INT
    const FieldID EPS_FY1                        = 1687; //DOUBLE
    const FieldID EPS_FY1_WHOLE                  = 1688; //INT
    const FieldID EPS_FY1_NUM                    = 1689; //INT
    const FieldID EPS_FY1_DENOM                  = 1690; //INT
    const FieldID AUTO_PRICE                     = 1691; //DOUBLE
    const FieldID AUTO_HIGH_PRICE                = 1692; //DOUBLE
    const FieldID AUTO_LOW_PRICE                 = 1693; //DOUBLE
    const FieldID OFF_BOOK_PRICE                 = 1694; //DOUBLE
    const FieldID OFF_BOOK_HIGH_PRICE            = 1695; //DOUBLE
    const FieldID OFF_BOOK_LOW_PRICE             = 1696; //DOUBLE
    const FieldID PREV_SETTLMENT_PRICE           = 1697; //DOUBLE
    const FieldID PREV_SETTLMENT_PRICE_WHOLE     = 1698; //INT
    const FieldID PREV_SETTLMENT_PRICE_NUM       = 1699; //INT
    const FieldID TK_VALUE_STYLE_MID             = 1700; //INT
    const FieldID TK_VALUE_STYLE_OPEN            = 1701; //INT
    const FieldID TK_VALUE_STYLE_BID             = 1702; //INT
    const FieldID TK_VALUE_STYLE_ASK             = 1703; //INT
    const FieldID TK_VALUE_STYLE_SPECIAL         = 1704; //INT
    const FieldID TK_VALUE_STYLE_SETTLE          = 1705; //INT
    const FieldID TK_VALUATION_STYLE             = 1706; //INT
    const FieldID TK_VSTYLE                      = 1707; //INT
    const FieldID TK_TRADE_COND                  = 1708; //INT
    const FieldID TK_TYPE                        = 1709; //INT
    const FieldID TK_VALUE_STYLE                 = 1710; //INT
    const FieldID TK_VALUATION_PRICE             = 1711; //FLOAT
    const FieldID TK_VALUATION_NUM               = 1712; //INT
    const FieldID TK_VALUATION_DENOM             = 1713; //INT
    const FieldID TK_VALUATION_WHOLE             = 1714; //INT
    const FieldID LISTING_SYMBOL2                = 1715; //STRING
    const FieldID TK_SYMBOL                      = 1716; //STRING
    const FieldID TK_SYMBOL2                     = 1717; //STRING
    const FieldID ERGSYM1                        = 1718; //STRING
    const FieldID ERGSYM2                        = 1719; //STRING
    const FieldID ERGSYM3                        = 1720; //STRING
    const FieldID ERGSYM4                        = 1721; //STRING
    const FieldID ERGSYM5                        = 1722; //STRING
    const FieldID ERGSYM6                        = 1723; //STRING
    const FieldID ERGSYM7                        = 1724; //STRING
    const FieldID LISTING_SYMBOL                 = 1725; //STRING
    const FieldID TK_VALUATION_DPRICE            = 1726; //DOUBLE
    const FieldID TK_PREV_VALUATION              = 1727; //DOUBLE
    const FieldID PREV_SETTLMENT_PRICE_DENOM     = 1728; //INT
    const FieldID UP_TRADE_COUNT                 = 1729; //INT64
    const FieldID DOWN_TRADE_COUNT               = 1730; //INT64
    const FieldID UNCH_TRADE_COUNT               = 1731; //INT64
    const FieldID YTD_HIGH                       = 1732; //DOUBLE
    const FieldID YTD_HIGH_WHOLE                 = 1733; //INT
    const FieldID YTD_HIGH_NUM                   = 1734; //INT
    const FieldID YTD_HIGH_DENOM                 = 1735; //INT
    const FieldID YTD_LOW                        = 1736; //DOUBLE
    const FieldID YTD_LOW_WHOLE                  = 1737; //INT
    const FieldID YTD_LOW_NUM                    = 1738; //INT
    const FieldID YTD_LOW_DENOM                  = 1739; //INT
    const FieldID YTD_HIGH_DATE                  = 1740; //INT
    const FieldID YTD_LOW_DATE                   = 1741; //INT
    const FieldID OFF_HOUR_EXCH                  = 1742; //INT
    const FieldID PREMKT_EXCH                    = 1743; //INT
    const FieldID POSTMKT_EXCH                   = 1744; //INT
    const FieldID OPT_DELIVERABLES               = 1745; //STRING
    const FieldID UNDERLYING_EXCHANGE            = 1746; //STRING
    const FieldID RT_PE_RATIO                    = 1747; //DOUBLE
    const FieldID RT_MARKET_CAP                  = 1748; //DOUBLE
    const FieldID ANNUAL_CAP_GAINS               = 1749; //DOUBLE
    const FieldID TUL_MATUR_DATE                 = 1800; //INT
    const FieldID TUL_FULL_AGENCY                = 1801; //STRING
    const FieldID TUL_OFFCL_CODE                 = 1802; //STRING
    const FieldID TUL_FULL_SECURITY              = 1803; //STRING
    const FieldID RECORD_LAYOUT                  = 1804; //INT
    const FieldID TUL_COUPON_RATE_NUM            = 1805; //INT
    const FieldID TUL_COUPON_RATE_DENOM          = 1806; //INT
    const FieldID TUL_COUPON_RATE_WHOLE          = 1807; //INT
    const FieldID TUL_EXCH_MID_YIELD_NUM         = 1817; //INT
    const FieldID TUL_EXCH_MID_YIELD_DENOM       = 1818; //INT
    const FieldID TUL_EXCH_MID_YIELD_WHOLE       = 1819; //INT
    const FieldID BUY_ID                         = 1820; //STRING
    const FieldID TUL_SWAP_SPREAD_BID_NUM        = 1821; //INT
    const FieldID TUL_SWAP_SPREAD_BID_DENOM      = 1822; //INT
    const FieldID TUL_SWAP_SPREAD_BID_WHOLE      = 1823; //INT
    const FieldID SELL_ID                        = 1824; //STRING
    const FieldID TUL_SEMI_SWAP_BID_NUM          = 1825; //INT
    const FieldID TUL_SEMI_SWAP_BID_DENOM        = 1826; //INT
    const FieldID TUL_SEMI_SWAP_BID_WHOLE        = 1827; //INT
    const FieldID PREMKT_TIME                    = 1828; //INT
    const FieldID TUL_ANNUAL_SWAP_BID_NUM        = 1829; //INT
    const FieldID TUL_ANNUAL_SWAP_BID_DENOM      = 1830; //INT
    const FieldID TUL_ANNUAL_SWAP_BID_WHOLE      = 1831; //INT
    const FieldID PREMKT_VOL                     = 1832; //INT
    const FieldID TUL_SWAP_SPREAD_ASK_NUM        = 1833; //INT
    const FieldID TUL_SWAP_SPREAD_ASK_DENOM      = 1834; //INT
    const FieldID TUL_SWAP_SPREAD_ASK_WHOLE      = 1835; //INT
    const FieldID PREMKT_CVOL                    = 1836; //INT
    const FieldID TUL_SEMI_SWAP_ASK_NUM          = 1837; //INT
    const FieldID TUL_SEMI_SWAP_ASK_DENOM        = 1838; //INT
    const FieldID TUL_SEMI_SWAP_ASK_WHOLE        = 1839; //INT
    const FieldID PREMKT_TRADE_QTY               = 1840; //INT
    const FieldID TUL_ANNUAL_SWAP_ASK_NUM        = 1841; //INT
    const FieldID TUL_ANNUAL_SWAP_ASK_DENOM      = 1842; //INT
    const FieldID TUL_ANNUAL_SWAP_ASK_WHOLE      = 1843; //INT
    const FieldID PREMKT_BLOCK_VOL               = 1844; //INT
    const FieldID TUL_EXCH_EARLY_BID_NUM         = 1845; //INT
    const FieldID TUL_EXCH_EARLY_BID_DENOM       = 1846; //INT
    const FieldID TUL_EXCH_EARLY_BID_WHOLE       = 1847; //INT
    const FieldID TUL_EXCH_LATE_BID              = 1848; //FLOAT
    const FieldID TUL_EXCH_LATE_BID_NUM          = 1849; //INT
    const FieldID TUL_EXCH_LATE_BID_DENOM        = 1850; //INT
    const FieldID TUL_EXCH_LATE_BID_WHOLE        = 1851; //INT
    const FieldID PREMKT_BLOCK_QTY               = 1852; //INT
    const FieldID TUL_EXCH_BID_SPREAD_NUM        = 1853; //INT
    const FieldID TUL_EXCH_BID_SPREAD_DENOM      = 1854; //INT
    const FieldID TUL_EXCH_BID_SPREAD_WHOLE      = 1855; //INT
    const FieldID POSTMKT_TIME                   = 1856; //INT
    const FieldID TUL_EXCH_ASK_SPREAD_NUM        = 1857; //INT
    const FieldID TUL_EXCH_ASK_SPREAD_DENOM      = 1858; //INT
    const FieldID TUL_EXCH_ASK_SPREAD_WHOLE      = 1859; //INT
    const FieldID POSTMKT_VOL                    = 1860; //INT
    const FieldID TUL_BOND_EQUIV_YIELD_NUM       = 1861; //INT
    const FieldID TUL_BOND_EQUIV_YIELD_DENOM     = 1862; //INT
    const FieldID TUL_BOND_EQUIV_YIELD_WHOLE     = 1863; //INT
    const FieldID POSTMKT_CVOL                   = 1864; //INT
    const FieldID TUL_SPREAD_TO_TREASURY_NUM     = 1865; //INT
    const FieldID TUL_SPREAD_TO_TREASURY_DENOM   = 1866; //INT
    const FieldID TUL_SPREAD_TO_TREASURY_WHOLE   = 1867; //INT
    const FieldID TUL_COUPON_RATE_OPTI           = 1880; //OPTI_PRICE
    const FieldID POSTMKT_DOLLAR_CHANGE          = 1881; //DOUBLE
    const FieldID POSTMKT_PERCENT_CHANGE         = 1882; //DOUBLE
    const FieldID TUL_SWAP_SPREAD_BID_OPTI       = 1883; //OPTI_PRICE
    const FieldID TUL_SEMI_SWAP_BID_OPTI         = 1884; //OPTI_PRICE
    const FieldID TUL_ANNUAL_SWAP_BID_OPTI       = 1885; //OPTI_PRICE
    const FieldID TUL_SWAP_SPREAD_ASK_OPTI       = 1886; //OPTI_PRICE
    const FieldID TUL_SEMI_SWAP_ASK_OPTI         = 1887; //OPTI_PRICE
    const FieldID TUL_ANNUAL_SWAP_ASK_OPTI       = 1888; //OPTI_PRICE
    const FieldID TUL_EXCH_EARLY_BID_OPTI        = 1889; //OPTI_PRICE
    const FieldID TUL_EXCH_LATE_BID_OPTI         = 1890; //OPTI_PRICE
    const FieldID TUL_EXCH_BID_SPREAD_OPTI       = 1891; //OPTI_PRICE
    const FieldID TUL_EXCH_ASK_SPREAD_OPTI       = 1892; //OPTI_PRICE
    const FieldID TUL_EXCH_MID_YIELD_OPTI        = 1893; //OPTI_PRICE
    const FieldID TUL_BOND_EQUIV_YIELD_OPTI      = 1894; //OPTI_PRICE
    const FieldID TUL_SPREAD_TO_TREASURY_OPTI    = 1895; //OPTI_PRICE
    const FieldID FINANCIAL_STATUS               = 1896; //INT
    const FieldID DEV1                           = 1897; //STRING
    const FieldID DEV2                           = 1898; //STRING
    const FieldID DEV3                           = 1899; //STRING
    const FieldID DEV4                           = 1900; //STRING
    const FieldID DEV5                           = 1901; //STRING
    const FieldID DEV6                           = 1902; //STRING
    const FieldID DEV7                           = 1903; //STRING
    const FieldID DEV8                           = 1904; //STRING
    const FieldID DEV9                           = 1905; //STRING
    const FieldID DEV10                          = 1906; //STRING
    const FieldID BID_DEV1                       = 1907; //STRING
    const FieldID BID_DEV2                       = 1908; //STRING
    const FieldID BID_DEV3                       = 1909; //STRING
    const FieldID BID_DEV4                       = 1910; //STRING
    const FieldID BID_DEV5                       = 1911; //STRING
    const FieldID BID_DEV6                       = 1912; //STRING
    const FieldID BID_DEV7                       = 1913; //STRING
    const FieldID BID_DEV8                       = 1914; //STRING
    const FieldID BID_DEV9                       = 1915; //STRING
    const FieldID BID_DEV10                      = 1916; //STRING
    const FieldID ASK_DEV1                       = 1917; //STRING
    const FieldID ASK_DEV2                       = 1918; //STRING
    const FieldID ASK_DEV3                       = 1919; //STRING
    const FieldID ASK_DEV4                       = 1920; //STRING
    const FieldID ASK_DEV5                       = 1921; //STRING
    const FieldID ASK_DEV6                       = 1922; //STRING
    const FieldID ASK_DEV7                       = 1923; //STRING
    const FieldID ASK_DEV8                       = 1924; //STRING
    const FieldID ASK_DEV9                       = 1925; //STRING
    const FieldID ASK_DEV10                      = 1926; //STRING
    const FieldID NEG_DEV1                       = 1927; //STRING
    const FieldID NEG_DEV2                       = 1928; //STRING
    const FieldID NEG_DEV3                       = 1929; //STRING
    const FieldID NEG_DEV4                       = 1930; //STRING
    const FieldID NEG_DEV5                       = 1931; //STRING
    const FieldID NEG_DEV6                       = 1932; //STRING
    const FieldID POS_DEV1                       = 1933; //STRING
    const FieldID POS_DEV2                       = 1934; //STRING
    const FieldID POS_DEV3                       = 1935; //STRING
    const FieldID POS_DEV4                       = 1936; //STRING
    const FieldID POS_DEV5                       = 1937; //STRING
    const FieldID POS_DEV6                       = 1938; //STRING
    const FieldID TRADED_LOW_PRICE_WHOLE         = 1941; //INT
    const FieldID TRADED_LOW_PRICE_NUM           = 1942; //INT
    const FieldID TRADED_LOW_PRICE_DENOM         = 1943; //INT
    const FieldID TRADED_LOW_PRICE_OPTI          = 1944; //OPTI_PRICE
    const FieldID TRADED_LOW_PRICE_DPRICE        = 1945; //DOUBLE
    const FieldID LOCAL_TRADED_LOW_TIME_MS       = 1946; //INT
    const FieldID SUBSCRIPTION_INTERVAL          = 2000; //INT
    const FieldID SUBSCRIPTION_SECURITY_TYPE     = 2001; //INT
    const FieldID SUBSCRIPTION_KEY               = 2002; //STRING
    const FieldID SUBSCRIPTION_EXCHANGE          = 2003; //INT
    const FieldID SUBSCRIPTION_DELAY_TYPE        = 2004; //INT
    const FieldID SUBSCRIPTION_TASKS             = 2005; //INT
    const FieldID SUBSCRIPTION_CACCESS           = 2006; //STRING
    const FieldID SUBSCRIPTION_HOME_EXCH         = 2007; //STRING
    const FieldID CACHE_RESPONSE_TYPE            = 2008; //INT
    const FieldID CACHE_REQUEST_FIELD            = 2009; //SHORT
    const FieldID SUBSCRIPTION_TYPE              = 2010; //INT
    const FieldID CACHE_UPDATE_INTERVAL          = 2011; //INT
    const FieldID REQUEST_REPLY_GUID             = 2012; //STRING
    const FieldID LEGACY_REQUEST_XML             = 2013; //STRING
    const FieldID HTTP_REQUEST_HEADERS           = 2018; //STRING
    const FieldID HTTP_REQUEST_ESCAPED_URL       = 2019; //STRING
    const FieldID HTTP_REQUEST_URL               = 2020; //STRING
    const FieldID HTTP_REQUEST_POST_DATA         = 2021; //STRING
    const FieldID HTTP_REQUEST_BINARY_DATA       = 2022; //BUFFER
    const FieldID HTTP_REQUEST_BINARY_SIZE       = 2023; //INT
    const FieldID HTTP_REQUEST_COMPRESSION       = 2024; //INT
    const FieldID HTTP_REQUEST_TIMESTAMP         = 2025; //INT
    const FieldID POSTMKT_PRICE_NUM              = 2026; //INT
    const FieldID POSTMKT_PRICE_DENOM            = 2027; //INT
    const FieldID POSTMKT_PRICE_WHOLE            = 2028; //INT
    const FieldID POSTMKT_PRICE_DPRICE           = 2029; //DOUBLE
    const FieldID TASE_REQUEST_VERSION           = 2030; //INT
    const FieldID TASE_REQUEST_TICKER            = 2031; //STRING
    const FieldID TASE_REQUEST_EXCHANGE          = 2032; //INT
    const FieldID TASE_REQUEST_TYPE              = 2033; //INT
    const FieldID TASE_REQUEST_MSG_TYPE          = 2034; //STRING
    const FieldID TASE_REQUEST_TRADES            = 2035; //INT
    const FieldID TASE_REQUEST_QUOTES            = 2036; //INT
    const FieldID TASE_REQUEST_INTERVAL          = 2037; //INT
    const FieldID TASE_REQUEST_START_TIME        = 2038; //INT
    const FieldID TASE_REQUEST_END_TIME          = 2039; //INT
    const FieldID TASE_REQUEST_START_DATE        = 2040; //INT
    const FieldID TASE_REQUEST_END_DATE          = 2041; //INT
    const FieldID TASE_REQUEST_DATA_POINTS       = 2042; //INT
    const FieldID TASE_REQUEST_COMPRESS          = 2043; //INT
    const FieldID TASE_REQUEST_COLTYPE           = 2044; //INT
    const FieldID PREV_CVOL                      = 2045; //INT
    const FieldID OFF_HOUR_BID_TIME              = 2046; //INT
    const FieldID HEADLINE_QUERY_REQUEST_FIELD_NAME = 2047; //STRING
    const FieldID HEADLINE_QUERY_REQUEST_FIELD_TYPE = 2048; //STRING
    const FieldID HEADLINE_QUERY_REQUEST_FIELD_INT = 2049; //INT
    const FieldID HEADLINE_QUERY_REQUEST_FIELD_STRING = 2050; //STRING
    const FieldID HEADLINE_QUERY_REQUEST_FIELD_ITERMAP = 2051; //BUFFER
    const FieldID HEADLINE_QUERY_REQUEST_QUERY_TEXT = 2052; //STRING
    const FieldID HEADLINE_QUERY_REQUEST_SYMBOLS = 2053; //STRING
    const FieldID HEADLINE_QUERY_REQUEST_VERSION = 2054; //INT
    const FieldID CONNECTION_TEST_KEY            = 2060; //STRING
    const FieldID CONNECTION_TEST_SIZE           = 2061; //INT
    const FieldID CONNECTION_TEST_RESPONSE       = 2062; //STRING
    const FieldID CONNECTION_TEST_NUM_CLIENTS    = 2063; //INT
    const FieldID POSTMKT_TRADE_QTY              = 2064; //INT
    const FieldID TOKEN_REQUEST_USERNAME         = 2065; //STRING
    const FieldID TOKEN_REQUEST_SERIAL_NUMBER    = 2066; //STRING
    const FieldID TOKEN_REQUEST_TOKEN_TYPE       = 2067; //STRING
    const FieldID OFF_HOUR_ASK_TIME              = 2068; //INT
    const FieldID MESSAGE_TIME                   = 2069; //STRING
    const FieldID HEADLINE_CACHE_FEEDS           = 2070; //STRING
    const FieldID HEADLINE_CACHE_START_TIME      = 2071; //INT
    const FieldID HEADLINE_CACHE_END_TIME        = 2072; //INT
    const FieldID HEADLINE_CACHE_FIELDS          = 2073; //STRING
    const FieldID HEADLINE_CACHE_TICKERS         = 2074; //STRING
    const FieldID HEADLINE_CACHE_TRIM_SYMBOLS    = 2075; //INT
    const FieldID HEADLINE_CACHE_INCLUDE_DUPLICATES = 2076; //INT
    const FieldID HEADLINE_COUNT_TICKERS         = 2077; //STRING
    const FieldID HEADLINE_COUNT_FEEDS           = 2078; //STRING
    const FieldID HEADLINE_COUNT_AGGREGATE_FEEDS = 2079; //INT
    const FieldID STREAM_REQUEST_TYPE            = 2080; //INT
    const FieldID STREAM_RESPONSE_FLAGS          = 2081; //INT
    const FieldID TRUE_ISO_CODE                  = 2082; //STRING
    const FieldID TRUE_TICK_ATTRIBUTE            = 2083; //INT
    const FieldID TRUE_MSG_TYPE                  = 2084; //INT
    const FieldID RESULT                         = 2085; //INT
    const FieldID STREAM_ID                      = 2086; //STRING
    const FieldID LEGACY_STREAM_ID               = 2087; //STRING
    const FieldID STREAM_SYMBOL                  = 2088; //STRING
    const FieldID SERVICE_ID                     = 2089; //INT
    const FieldID STREAM_INFO_KEY                = 2090; //STRING
    const FieldID STREAM_INFO_NUM_SUBSCRIBERS    = 2091; //INT
    const FieldID STREAM_INFO_AGG_SECTYPE        = 2092; //INT
    const FieldID STREAM_INFO_AGG_BIT            = 2093; //INT
    const FieldID STREAM_INFO_AGG_INT            = 2094; //INT
    const FieldID STREAM_INFO_SUBIP              = 2095; //STRING
    const FieldID STREAM_INFO_SNAPSHOTSTATE      = 2096; //INT
    const FieldID STREAM_INFO_FUNDSTATE          = 2097; //INT
    const FieldID STREAM_INFO_WRATSTATE          = 2098; //INT
    const FieldID STREAM_INFO_LEVEL2STATE        = 2099; //INT
    const FieldID IDX_DIVISOR                    = 2110; //INT
    const FieldID CHAIN_ITEM_001                 = 2111; //STRING
    const FieldID CHAIN_ITEM_002                 = 2112; //STRING
    const FieldID CHAIN_ITEM_003                 = 2113; //STRING
    const FieldID CHAIN_ITEM_004                 = 2114; //STRING
    const FieldID CHAIN_ITEM_005                 = 2115; //STRING
    const FieldID CHAIN_ITEM_006                 = 2116; //STRING
    const FieldID CHAIN_ITEM_007                 = 2117; //STRING
    const FieldID CHAIN_ITEM_008                 = 2118; //STRING
    const FieldID CHAIN_ITEM_009                 = 2119; //STRING
    const FieldID CHAIN_ITEM_010                 = 2120; //STRING
    const FieldID CHAIN_ITEM_011                 = 2121; //STRING
    const FieldID CHAIN_ITEM_012                 = 2122; //STRING
    const FieldID CHAIN_ITEM_013                 = 2123; //STRING
    const FieldID CHAIN_ITEM_014                 = 2124; //STRING
    const FieldID CHAIN_ITEM_015                 = 2125; //STRING
    const FieldID CHAIN_ITEM_016                 = 2126; //STRING
    const FieldID CHAIN_ITEM_017                 = 2127; //STRING
    const FieldID CHAIN_ITEM_018                 = 2128; //STRING
    const FieldID CHAIN_ITEM_019                 = 2129; //STRING
    const FieldID CHAIN_ITEM_020                 = 2130; //STRING
    const FieldID CHAIN_ITEM_021                 = 2131; //STRING
    const FieldID CHAIN_ITEM_022                 = 2132; //STRING
    const FieldID CHAIN_ITEM_023                 = 2133; //STRING
    const FieldID CHAIN_ITEM_024                 = 2134; //STRING
    const FieldID CHAIN_ITEM_025                 = 2135; //STRING
    const FieldID CHAIN_ITEM_026                 = 2136; //STRING
    const FieldID CHAIN_ITEM_027                 = 2137; //STRING
    const FieldID CHAIN_ITEM_028                 = 2138; //STRING
    const FieldID CHAIN_ITEM_029                 = 2139; //STRING
    const FieldID CHAIN_ITEM_030                 = 2140; //STRING
    const FieldID CHAIN_ITEM_031                 = 2141; //STRING
    const FieldID CHAIN_ITEM_032                 = 2142; //STRING
    const FieldID CHAIN_ITEM_033                 = 2143; //STRING
    const FieldID CHAIN_ITEM_034                 = 2144; //STRING
    const FieldID CHAIN_ITEM_035                 = 2145; //STRING
    const FieldID CHAIN_ITEM_036                 = 2146; //STRING
    const FieldID CHAIN_ITEM_037                 = 2147; //STRING
    const FieldID CHAIN_ITEM_038                 = 2148; //STRING
    const FieldID CHAIN_ITEM_039                 = 2149; //STRING
    const FieldID CHAIN_ITEM_040                 = 2150; //STRING
    const FieldID CHAIN_ITEM_041                 = 2151; //STRING
    const FieldID CHAIN_ITEM_042                 = 2152; //STRING
    const FieldID CHAIN_ITEM_043                 = 2153; //STRING
    const FieldID CHAIN_ITEM_044                 = 2154; //STRING
    const FieldID CHAIN_ITEM_045                 = 2155; //STRING
    const FieldID CHAIN_ITEM_046                 = 2156; //STRING
    const FieldID CHAIN_ITEM_047                 = 2157; //STRING
    const FieldID CHAIN_ITEM_048                 = 2158; //STRING
    const FieldID CHAIN_ITEM_049                 = 2159; //STRING
    const FieldID CHAIN_ITEM_050                 = 2160; //STRING
    const FieldID CHAIN_ITEM_051                 = 2161; //STRING
    const FieldID CHAIN_ITEM_052                 = 2162; //STRING
    const FieldID CHAIN_ITEM_053                 = 2163; //STRING
    const FieldID CHAIN_ITEM_054                 = 2164; //STRING
    const FieldID CHAIN_ITEM_055                 = 2165; //STRING
    const FieldID CHAIN_ITEM_056                 = 2166; //STRING
    const FieldID CHAIN_ITEM_057                 = 2167; //STRING
    const FieldID CHAIN_ITEM_058                 = 2168; //STRING
    const FieldID CHAIN_ITEM_059                 = 2169; //STRING
    const FieldID CHAIN_ITEM_060                 = 2170; //STRING
    const FieldID CHAIN_ITEM_061                 = 2171; //STRING
    const FieldID CHAIN_ITEM_062                 = 2172; //STRING
    const FieldID CHAIN_ITEM_063                 = 2173; //STRING
    const FieldID CHAIN_ITEM_064                 = 2174; //STRING
    const FieldID CHAIN_ITEM_065                 = 2175; //STRING
    const FieldID CHAIN_ITEM_066                 = 2176; //STRING
    const FieldID CHAIN_ITEM_067                 = 2177; //STRING
    const FieldID CHAIN_ITEM_068                 = 2178; //STRING
    const FieldID CHAIN_ITEM_069                 = 2179; //STRING
    const FieldID CHAIN_ITEM_070                 = 2180; //STRING
    const FieldID CHAIN_ITEM_071                 = 2181; //STRING
    const FieldID CHAIN_ITEM_072                 = 2182; //STRING
    const FieldID CHAIN_ITEM_073                 = 2183; //STRING
    const FieldID CHAIN_ITEM_074                 = 2184; //STRING
    const FieldID CHAIN_ITEM_075                 = 2185; //STRING
    const FieldID CHAIN_ITEM_076                 = 2186; //STRING
    const FieldID CHAIN_ITEM_077                 = 2187; //STRING
    const FieldID CHAIN_ITEM_078                 = 2188; //STRING
    const FieldID CHAIN_ITEM_079                 = 2189; //STRING
    const FieldID CHAIN_ITEM_080                 = 2190; //STRING
    const FieldID CHAIN_ITEM_081                 = 2191; //STRING
    const FieldID CHAIN_ITEM_082                 = 2192; //STRING
    const FieldID CHAIN_ITEM_083                 = 2193; //STRING
    const FieldID CHAIN_ITEM_084                 = 2194; //STRING
    const FieldID CHAIN_ITEM_085                 = 2195; //STRING
    const FieldID CHAIN_ITEM_086                 = 2196; //STRING
    const FieldID CHAIN_ITEM_087                 = 2197; //STRING
    const FieldID CHAIN_ITEM_088                 = 2198; //STRING
    const FieldID CHAIN_ITEM_089                 = 2199; //STRING
    const FieldID CHAIN_ITEM_090                 = 2200; //STRING
    const FieldID CHAIN_ITEM_091                 = 2201; //STRING
    const FieldID CHAIN_ITEM_092                 = 2202; //STRING
    const FieldID CHAIN_ITEM_093                 = 2203; //STRING
    const FieldID CHAIN_ITEM_094                 = 2204; //STRING
    const FieldID CHAIN_ITEM_095                 = 2205; //STRING
    const FieldID CHAIN_ITEM_096                 = 2206; //STRING
    const FieldID CHAIN_ITEM_097                 = 2207; //STRING
    const FieldID CHAIN_ITEM_098                 = 2208; //STRING
    const FieldID CHAIN_ITEM_099                 = 2209; //STRING
    const FieldID CHAIN_ITEM_100                 = 2210; //STRING
    const FieldID CHAIN_ITEM_101                 = 2211; //STRING
    const FieldID CHAIN_ITEM_102                 = 2212; //STRING
    const FieldID CHAIN_ITEM_103                 = 2213; //STRING
    const FieldID CHAIN_ITEM_104                 = 2214; //STRING
    const FieldID CHAIN_ITEM_105                 = 2215; //STRING
    const FieldID CHAIN_ITEM_106                 = 2216; //STRING
    const FieldID CHAIN_ITEM_107                 = 2217; //STRING
    const FieldID CHAIN_ITEM_108                 = 2218; //STRING
    const FieldID CHAIN_ITEM_109                 = 2219; //STRING
    const FieldID CHAIN_ITEM_110                 = 2220; //STRING
    const FieldID CHAIN_ITEM_111                 = 2221; //STRING
    const FieldID CHAIN_ITEM_112                 = 2222; //STRING
    const FieldID CHAIN_ITEM_113                 = 2223; //STRING
    const FieldID CHAIN_ITEM_114                 = 2224; //STRING
    const FieldID CHAIN_ITEM_115                 = 2225; //STRING
    const FieldID CHAIN_ITEM_116                 = 2226; //STRING
    const FieldID CHAIN_ITEM_117                 = 2227; //STRING
    const FieldID CHAIN_ITEM_118                 = 2228; //STRING
    const FieldID CHAIN_ITEM_119                 = 2229; //STRING
    const FieldID CHAIN_ITEM_120                 = 2230; //STRING
    const FieldID CHAIN_ITEM_121                 = 2231; //STRING
    const FieldID CHAIN_ITEM_122                 = 2232; //STRING
    const FieldID CHAIN_ITEM_123                 = 2233; //STRING
    const FieldID CHAIN_ITEM_124                 = 2234; //STRING
    const FieldID CHAIN_ITEM_125                 = 2235; //STRING
    const FieldID CHAIN_ITEM_126                 = 2236; //STRING
    const FieldID CHAIN_ITEM_127                 = 2237; //STRING
    const FieldID CHAIN_ITEM_128                 = 2238; //STRING
    const FieldID CHAIN_ITEM_129                 = 2239; //STRING
    const FieldID CHAIN_ITEM_130                 = 2240; //STRING
    const FieldID CHAIN_ITEM_131                 = 2241; //STRING
    const FieldID CHAIN_ITEM_132                 = 2242; //STRING
    const FieldID CHAIN_ITEM_133                 = 2243; //STRING
    const FieldID CHAIN_ITEM_134                 = 2244; //STRING
    const FieldID CHAIN_ITEM_135                 = 2245; //STRING
    const FieldID CHAIN_ITEM_136                 = 2246; //STRING
    const FieldID CHAIN_ITEM_137                 = 2247; //STRING
    const FieldID CHAIN_ITEM_138                 = 2248; //STRING
    const FieldID CHAIN_ITEM_139                 = 2249; //STRING
    const FieldID CHAIN_ITEM_140                 = 2250; //STRING
    const FieldID CHAIN_ITEM_141                 = 2251; //STRING
    const FieldID CHAIN_ITEM_142                 = 2252; //STRING
    const FieldID CHAIN_ITEM_143                 = 2253; //STRING
    const FieldID CHAIN_ITEM_144                 = 2254; //STRING
    const FieldID CHAIN_ITEM_145                 = 2255; //STRING
    const FieldID CHAIN_ITEM_146                 = 2256; //STRING
    const FieldID CHAIN_ITEM_147                 = 2257; //STRING
    const FieldID CHAIN_ITEM_148                 = 2258; //STRING
    const FieldID CHAIN_ITEM_149                 = 2259; //STRING
    const FieldID CHAIN_ITEM_150                 = 2260; //STRING
    const FieldID CHAIN_ITEM_151                 = 2261; //STRING
    const FieldID CHAIN_ITEM_152                 = 2262; //STRING
    const FieldID CHAIN_ITEM_153                 = 2263; //STRING
    const FieldID CHAIN_ITEM_154                 = 2264; //STRING
    const FieldID CHAIN_ITEM_155                 = 2265; //STRING
    const FieldID CHAIN_ITEM_156                 = 2266; //STRING
    const FieldID CHAIN_ITEM_157                 = 2267; //STRING
    const FieldID CHAIN_ITEM_158                 = 2268; //STRING
    const FieldID CHAIN_ITEM_159                 = 2269; //STRING
    const FieldID CHAIN_ITEM_160                 = 2270; //STRING
    const FieldID CHAIN_ITEM_161                 = 2271; //STRING
    const FieldID CHAIN_ITEM_162                 = 2272; //STRING
    const FieldID CHAIN_ITEM_163                 = 2273; //STRING
    const FieldID CHAIN_ITEM_164                 = 2274; //STRING
    const FieldID CHAIN_ITEM_165                 = 2275; //STRING
    const FieldID CHAIN_ITEM_166                 = 2276; //STRING
    const FieldID CHAIN_ITEM_167                 = 2277; //STRING
    const FieldID CHAIN_ITEM_168                 = 2278; //STRING
    const FieldID CHAIN_ITEM_169                 = 2279; //STRING
    const FieldID CHAIN_ITEM_170                 = 2280; //STRING
    const FieldID CHAIN_ITEM_171                 = 2281; //STRING
    const FieldID CHAIN_ITEM_172                 = 2282; //STRING
    const FieldID CHAIN_ITEM_173                 = 2283; //STRING
    const FieldID CHAIN_ITEM_174                 = 2284; //STRING
    const FieldID CHAIN_ITEM_175                 = 2285; //STRING
    const FieldID CHAIN_ITEM_176                 = 2286; //STRING
    const FieldID CHAIN_ITEM_177                 = 2287; //STRING
    const FieldID CHAIN_ITEM_178                 = 2288; //STRING
    const FieldID CHAIN_ITEM_179                 = 2289; //STRING
    const FieldID CHAIN_ITEM_180                 = 2290; //STRING
    const FieldID CHAIN_ITEM_181                 = 2291; //STRING
    const FieldID CHAIN_ITEM_182                 = 2292; //STRING
    const FieldID CHAIN_ITEM_183                 = 2293; //STRING
    const FieldID CHAIN_ITEM_184                 = 2294; //STRING
    const FieldID CHAIN_ITEM_185                 = 2295; //STRING
    const FieldID CHAIN_ITEM_186                 = 2296; //STRING
    const FieldID CHAIN_ITEM_187                 = 2297; //STRING
    const FieldID CHAIN_ITEM_188                 = 2298; //STRING
    const FieldID CHAIN_ITEM_189                 = 2299; //STRING
    const FieldID CHAIN_ITEM_190                 = 2300; //STRING
    const FieldID CHAIN_ITEM_191                 = 2301; //STRING
    const FieldID CHAIN_ITEM_192                 = 2302; //STRING
    const FieldID CHAIN_ITEM_193                 = 2303; //STRING
    const FieldID CHAIN_ITEM_194                 = 2304; //STRING
    const FieldID CHAIN_ITEM_195                 = 2305; //STRING
    const FieldID CHAIN_ITEM_196                 = 2306; //STRING
    const FieldID CHAIN_ITEM_197                 = 2307; //STRING
    const FieldID CHAIN_ITEM_198                 = 2308; //STRING
    const FieldID CHAIN_ITEM_199                 = 2309; //STRING
    const FieldID CHAIN_ITEM_200                 = 2310; //STRING
    const FieldID CHAIN_ITEM_201                 = 2311; //STRING
    const FieldID CHAIN_ITEM_202                 = 2312; //STRING
    const FieldID CHAIN_ITEM_203                 = 2313; //STRING
    const FieldID CHAIN_ITEM_204                 = 2314; //STRING
    const FieldID CHAIN_ITEM_205                 = 2315; //STRING
    const FieldID CHAIN_ITEM_206                 = 2316; //STRING
    const FieldID CHAIN_ITEM_207                 = 2317; //STRING
    const FieldID CHAIN_ITEM_208                 = 2318; //STRING
    const FieldID CHAIN_ITEM_209                 = 2319; //STRING
    const FieldID CHAIN_ITEM_210                 = 2320; //STRING
    const FieldID CHAIN_ITEM_211                 = 2321; //STRING
    const FieldID CHAIN_ITEM_212                 = 2322; //STRING
    const FieldID CHAIN_ITEM_213                 = 2323; //STRING
    const FieldID CHAIN_ITEM_214                 = 2324; //STRING
    const FieldID CHAIN_ITEM_215                 = 2325; //STRING
    const FieldID CHAIN_ITEM_216                 = 2326; //STRING
    const FieldID CHAIN_ITEM_217                 = 2327; //STRING
    const FieldID CHAIN_ITEM_218                 = 2328; //STRING
    const FieldID CHAIN_ITEM_219                 = 2329; //STRING
    const FieldID CHAIN_ITEM_220                 = 2330; //STRING
    const FieldID CHAIN_ITEM_221                 = 2331; //STRING
    const FieldID CHAIN_ITEM_222                 = 2332; //STRING
    const FieldID CHAIN_ITEM_223                 = 2333; //STRING
    const FieldID CHAIN_ITEM_224                 = 2334; //STRING
    const FieldID CHAIN_ITEM_225                 = 2335; //STRING
    const FieldID CHAIN_ITEM_226                 = 2336; //STRING
    const FieldID CHAIN_ITEM_227                 = 2337; //STRING
    const FieldID CHAIN_ITEM_228                 = 2338; //STRING
    const FieldID CHAIN_ITEM_229                 = 2339; //STRING
    const FieldID CHAIN_ITEM_230                 = 2340; //STRING
    const FieldID CHAIN_ITEM_231                 = 2341; //STRING
    const FieldID CHAIN_ITEM_232                 = 2342; //STRING
    const FieldID CHAIN_ITEM_233                 = 2343; //STRING
    const FieldID CHAIN_ITEM_234                 = 2344; //STRING
    const FieldID CHAIN_ITEM_235                 = 2345; //STRING
    const FieldID CHAIN_ITEM_236                 = 2346; //STRING
    const FieldID CHAIN_ITEM_237                 = 2347; //STRING
    const FieldID CHAIN_ITEM_238                 = 2348; //STRING
    const FieldID CHAIN_ITEM_239                 = 2349; //STRING
    const FieldID CHAIN_ITEM_240                 = 2350; //STRING
    const FieldID CHAIN_ITEM_241                 = 2351; //STRING
    const FieldID CHAIN_ITEM_242                 = 2352; //STRING
    const FieldID CHAIN_ITEM_243                 = 2353; //STRING
    const FieldID CHAIN_ITEM_244                 = 2354; //STRING
    const FieldID CHAIN_ITEM_245                 = 2355; //STRING
    const FieldID CHAIN_ITEM_246                 = 2356; //STRING
    const FieldID CHAIN_ITEM_247                 = 2357; //STRING
    const FieldID CHAIN_ITEM_248                 = 2358; //STRING
    const FieldID CHAIN_ITEM_249                 = 2359; //STRING
    const FieldID CHAIN_ITEM_250                 = 2360; //STRING
    const FieldID CHAIN_PREVIOUS                 = 2411; //STRING
    const FieldID CHAIN_NEXT                     = 2412; //STRING
    const FieldID CHAIN_SORT_ORDER               = 2413; //BUFFER
    const FieldID POSTMKT_BLOCK_VOL              = 2415; //INT
    const FieldID POSTMKT_BLOCK_QTY              = 2416; //INT
    const FieldID TRADED                         = 2512; //INT
    const FieldID INVALID_FIELD                  = 2513; //INT
    const FieldID SECURITY_STATUS_NEW            = 2799; //INT
    const FieldID SECURITY_STATUS                = 2800; //INT
    const FieldID STREAM_INFO_SNAPSHOTCONTENT    = 3000; //STRING
    const FieldID STREAM_INFO_FUNDCONTENT        = 3001; //STRING
    const FieldID STREAM_INFO_WRATCONTENT        = 3002; //STRING
    const FieldID STREAM_INFO_LEVEL2CONTENT      = 3003; //STRING
    const FieldID FETCH_PRIMARY                  = 3005; //STRING
    const FieldID FETCH_SECONDARY                = 3006; //STRING
    const FieldID FETCH_TYPE                     = 3007; //INT
    const FieldID FETCH_FQL_NUMCODES             = 3008; //INT
    const FieldID FETCH_FQL_MODE                 = 3009; //INT
    const FieldID CHANGE_ARROW                   = 3010; //INT
    const FieldID APP_RESPONSE_TAG               = 3011; //STRING
    const FieldID IS_XLATE_MSG                   = 3012; //INT
    const FieldID TUNNEL_MSG_TYPE                = 3013; //INT
    const FieldID INTERVAL_HIGH                  = 3014; //FLOAT
    const FieldID INTERVAL_LOW                   = 3015; //FLOAT
    const FieldID NASDAQ_SESSION                 = 10020; //STRING
    const FieldID RETRANS_REQ                    = 10030; //STRING
    const FieldID NASDAQ_ORIGINATOR              = 10040; //INT
    const FieldID DIV_ADJ_FACTOR                 = 10050; //STRING
    const FieldID AVG_LIFE                       = 10051; //INT
    const FieldID SUB_SEVEN_DAY_YIELD_DPRICE     = 10052; //DOUBLE
    const FieldID THIRTY_DAY_YIELD_DPRICE        = 10053; //DOUBLE
    const FieldID THIRTY_DAY_YIELD_DATE          = 10054; //INT
    const FieldID DIV_FACTOR                     = 10055; //DOUBLE
    const FieldID CORP_ACTION_REPORT             = 10056; //STRING
    const FieldID CAP_DISTRIBUTION_TYPE          = 10057; //STRING
    const FieldID NONQUAL_DISTRIBUTION_DPRICE    = 10058; //DOUBLE
    const FieldID QUALIFIED_CASH_DISTRIBUTION_DPRICE = 10059; //DOUBLE
    const FieldID TAXFREE_CASH_DISTRIBUTION_DPRICE = 10060; //DOUBLE
    const FieldID ORD_FOREIGN_TAX_CREDIT         = 10061; //DOUBLE
    const FieldID QUAL_FOREIGN_TAX_CREDIT        = 10062; //DOUBLE
    const FieldID STOCK_DIV_FACTOR               = 10063; //DOUBLE
    const FieldID REINVEST_DATE                  = 10064; //INT
    const FieldID RETURN_OF_CAPITAL              = 10065; //DOUBLE
    const FieldID MARKET_CENTER_MIC              = 10068; //STRING
    const FieldID DATA_TYPE                      = 12010; //INT
    const FieldID INTERVAL                       = 12011; //INT
    const FieldID START_TIME                     = 12012; //INT
    const FieldID END_TIME                       = 12013; //INT
    const FieldID DB_SIZE                        = 12014; //INT
    const FieldID LAST_DATA                      = 12020; //INT
    const FieldID BID_DATA                       = 12021; //INT
    const FieldID ASK_DATA                       = 12022; //INT
    const FieldID LAST_VOL_DATA                  = 12023; //INT
    const FieldID BID_VOL_DATA                   = 12024; //INT
    const FieldID ASK_VOL_DATA                   = 12025; //INT
    const FieldID CUM_VOL_DATA                   = 12026; //INT
    const FieldID PRODUCT                        = 13000; //STRING
    const FieldID ID                             = 13001; //STRING
    const FieldID HEADLINE                       = 13002; //STRING
    const FieldID SYMBOLS                        = 13003; //STRING
    const FieldID STORY_DATE                     = 13004; //INT
    const FieldID STORY_TIME                     = 13005; //INT
    const FieldID ADD_DATE                       = 13006; //INT
    const FieldID ADD_TIME                       = 13007; //INT
    const FieldID MESSAGE_SUBJECT                = 13008; //STRING
    const FieldID FILENAME                       = 13009; //STRING
    const FieldID BROKER                         = 13010; //STRING
    const FieldID CIK_LIST                       = 13011; //STRING
    const FieldID NOTE_AUTHOR                    = 13012; //STRING
    const FieldID SCORE                          = 13013; //INT
    const FieldID HEADLINE_RECORD_START          = 13014; //INT
    const FieldID LAST_MESSAGE                   = 13015; //STRING
    const FieldID ENT_LIST                       = 13016; //STRING
    const FieldID ENTS                           = 13017; //STRING
    const FieldID SEARCH_TIMEOUT                 = 13018; //STRING
    const FieldID TRANSLATION_LIST               = 13019; //STRING
    const FieldID TRANSLATION_TARGET             = 13020; //STRING
    const FieldID NATIVE_SYMBOLS                 = 13021; //STRING
    const FieldID NORMALIZED_SYMBOLS             = 13022; //STRING
    const FieldID FC_INDUSTRIES                  = 13023; //STRING
    const FieldID SUBJECTS                       = 13024; //STRING
    const FieldID INDUSTRIES                     = 13025; //STRING
    const FieldID NATIVE_SYMBOL                  = 13026; //STRING
    const FieldID COLUMN                         = 13027; //STRING
    const FieldID ISSUES                         = 13028; //STRING
    const FieldID REGIONS                        = 13029; //STRING
    const FieldID FUNDTYPES                      = 13030; //STRING
    const FieldID STORY_TYPE                     = 13031; //STRING
    const FieldID EVENT_TYPE_ID                  = 13032; //STRING
    const FieldID FILING_TYPE                    = 13033; //STRING
    const FieldID CATEGORIES                     = 13034; //STRING
    const FieldID HEADLINE_TIME                  = 13035; //INT
    const FieldID UPDATE_DATE                    = 13036; //INT
    const FieldID UPDATE_TIME                    = 13037; //INT
    const FieldID COUNTRIES                      = 13038; //STRING
    const FieldID BCAST_MODE                     = 13039; //INT
    const FieldID AUTHOR_CODES                   = 13040; //STRING
    const FieldID CTBIDS                         = 13041; //STRING
    const FieldID ANALYSTS                       = 13042; //STRING
    const FieldID DOC_TYPES                      = 13043; //STRING
    const FieldID DOC_CLASS                      = 13044; //STRING
    const FieldID WORLD_REGIONS                  = 13045; //STRING
    const FieldID LANGUAGES                      = 13046; //STRING
    const FieldID CURRENCIES                     = 13047; //STRING
    const FieldID DISCIPLINES                    = 13048; //STRING
    const FieldID REASONS                        = 13049; //STRING
    const FieldID RPTSTYLES                      = 13050; //STRING
    const FieldID ISSUER_INDUSTRY                = 13051; //STRING
    const FieldID ARTICLE_CONTENT                = 13052; //STRING
    const FieldID SECTORS                        = 13053; //STRING
    const FieldID DEAL_TYPE                      = 13054; //STRING
    const FieldID DEAL_HOME_CURRENCY             = 13055; //STRING
    const FieldID ACCESSION                      = 13056; //STRING
    const FieldID PAGES                          = 13057; //STRING
    const FieldID NOTE_SENTIMENT                 = 13058; //STRING
    const FieldID RECOMMENDATION                 = 13059; //STRING
    const FieldID SUBJECT_CODE                   = 13060; //STRING
    const FieldID CLIENT_NEWS_KEY                = 13061; //STRING
    const FieldID AUTHOR_NAME                    = 13062; //STRING
    const FieldID SERVICE                        = 13063; //STRING
    const FieldID NEWS_PERIOD                    = 13064; //STRING
    const FieldID AMENDMENT                      = 13065; //STRING
    const FieldID PAPER_FILING                   = 13066; //STRING
    const FieldID FILE_NUMBER                    = 13067; //STRING
    const FieldID FILED_BY                       = 13068; //STRING
    const FieldID SIC_CODE                       = 13069; //STRING
    const FieldID CLASSIFICATION                 = 13070; //STRING
    const FieldID SIGNIFICANCE                   = 13071; //STRING
    const FieldID NATIVE_PRIMARY_SYMBOLS         = 13072; //STRING
    const FieldID NORMALIZED_PRIMARY_SYMBOLS     = 13073; //STRING
    const FieldID RESOURCE_PAGES                 = 13074; //STRING
    const FieldID FDS_SUBJECTS                   = 13075; //STRING
    const FieldID FDS_INDUSTRIES                 = 13076; //STRING
    const FieldID EDG_FILINGS                    = 13077; //STRING
    const FieldID GLOBAL_BROADCAST_KEY           = 13078; //STRING
    const FieldID DISCLOSURES                    = 13079; //STRING
    const FieldID BROKER_NAME                    = 13080; //STRING
    const FieldID AUTHOR_ENTITY_ID               = 13081; //STRING
    const FieldID FDS_LANGUAGES                  = 13082; //STRING
    const FieldID FDS_COUNTRIES                  = 13083; //STRING
    const FieldID FDS_REGIONS                    = 13084; //STRING
    const FieldID PROFILER_USERNAME              = 13100; //STRING
    const FieldID PROFILER_SERIAL                = 13101; //STRING
    const FieldID PROFILER_PROFILE_ID            = 13102; //STRING
    const FieldID PROFILER_FILENAME              = 13103; //STRING
    const FieldID PROFILER_PAYLOAD               = 13104; //STRING
    const FieldID CATEGORY                       = 13105; //STRING
    const FieldID UN_TOP_LEVEL_CODES             = 13106; //STRING
    const FieldID TOBJECTS                       = 13107; //STRING
    const FieldID PROFILE_CATEGORIES             = 13108; //STRING
    const FieldID ONLINE_CODE                    = 13109; //STRING
    const FieldID ASSET_CLASS                    = 13110; //STRING
    const FieldID ASSET_TYPE                     = 13111; //STRING
    const FieldID COMPILATION_INDICATOR          = 13112; //STRING
    const FieldID COUNTRY                        = 13113; //STRING
    const FieldID COVERAGE_ACTION                = 13114; //STRING
    const FieldID DISCIPLINE                     = 13115; //STRING
    const FieldID ENTITLEMENT_CODE               = 13116; //STRING
    const FieldID ENTITY_ID                      = 13117; //STRING
    const FieldID ESTIMATE_ACTION                = 13118; //STRING
    const FieldID INDEX                          = 13119; //STRING
    const FieldID INDUSTRY_CODE                  = 13120; //STRING
    const FieldID ISSUER_TYPE                    = 13121; //STRING
    const FieldID ORGANIZATION_ENTITY_ID         = 13122; //STRING
    const FieldID ORGANIZATION_NAME              = 13123; //STRING
    const FieldID PERIODICITY                    = 13124; //STRING
    const FieldID PURPOSE                        = 13125; //STRING
    const FieldID RATING_ACTION                  = 13126; //STRING
    const FieldID REGION                         = 13127; //STRING
    const FieldID RESEARCH_APPROACH              = 13128; //STRING
    const FieldID SECURITY_TYPE                  = 13129; //STRING
    const FieldID TARGET_PRICE_ACTION            = 13130; //STRING
    const FieldID WEIGHTING_ACTION               = 13131; //STRING
    const FieldID ROOT_NAME                      = 13132; //STRING
    const FieldID CONVICTION                     = 13133; //STRING
    const FieldID PERFMON_TYPE                   = 13134; //INT
    const FieldID PERFMON_VAL                    = 13135; //INT
    const FieldID FDS_SECTOR                     = 13136; //STRING
    const FieldID FDS_INDUSTRY                   = 13137; //STRING
    const FieldID NEWS_HC_FEED                   = 13200; //STRING
    const FieldID NEWS_HC_COUNT                  = 13201; //INT
    const FieldID NEWS_HC_KEY                    = 13202; //STRING
    const FieldID HTTP_RESPONSE_DATA             = 13300; //BUFFER
    const FieldID REMOTE_USERNAME                = 13400; //STRING
    const FieldID REMOTE_SERIAL                  = 13401; //STRING
    const FieldID REMOTE_ACTION                  = 13402; //STRING
    const FieldID REMOTE_ACTION_ARGUMENT         = 13403; //STRING
    const FieldID REMOTE_UPSTREAM_SERVER         = 13404; //STRING
    const FieldID ACTION                         = 13405; //STRING
    const FieldID ENTITY_IDS                     = 13406; //STRING
    const FieldID PRIMARY_ENTITY_ID              = 13407; //STRING
    const FieldID FDS_DOC_GUID                   = 13408; //STRING
    const FieldID ORIGINAL_DATA                  = 13409; //BUFFER
    const FieldID ORIGINAL_DATA_STORY_DATE       = 13410; //INT
    const FieldID ORIGINAL_DATA_STORY_TIME       = 13411; //INT
    const FieldID ORIGINAL_DATA_NORMALIZED_SYMBOLS = 13412; //STRING
    const FieldID ORIGINAL_DATA_ENTITY_IDS       = 13413; //STRING
    const FieldID ORIGINAL_DATA_PRIMARY_ENTITY_ID = 13414; //INT
    const FieldID ORIGINAL_DATA_UPDATE_DATE      = 13415; //INT
    const FieldID ORIGINAL_DATA_UPDATE_TIME      = 13416; //INT
    const FieldID PROVIDER                       = 13417; //STRING
    const FieldID SOURCE_PRODUCT                 = 13418; //STRING
    const FieldID SOURCE_ACCESSION               = 13419; //STRING
    const FieldID PRIMARY_ENTITY_IDS             = 13420; //STRING
    const FieldID FDS_FILING_TYPE                = 13421; //STRING
    const FieldID SEARCH_UUID                    = 13422; //STRING
    const FieldID NEWS_DATA                      = 13423; //BUFFER
    const FieldID ENCODING                       = 13424; //STRING
    const FieldID PERMISSIONED_LIST              = 13425; //STRING
    const FieldID REPORT_SERIES_ID               = 13426; //STRING
    const FieldID SPECIALTIES                    = 13427; //STRING
    const FieldID PRIMARY_SYMBOLS                = 13428; //STRING
    const FieldID PRODUCT_SERVICES               = 13429; //STRING
    const FieldID ENCRYPTED_DOC_FN               = 13430; //STRING
    const FieldID IRN_SUBJ_STRING                = 13431; //STRING
    const FieldID IRN_REC_STRING                 = 13432; //STRING
    const FieldID MARKET_MAKER_ID                = 14000; //STRING
    const FieldID NEW_MARKET_MAKER_ID            = 14001; //STRING
    const FieldID MAINTENANCE_TYPE               = 14002; //INT
    const FieldID MM_STAT_BITMASK                = 14003; //INT
    const FieldID FIELD_DEFINITION_COUNT         = 15000; //INT
    const FieldID FIELD_NAME_VECTOR              = 15001; //RAW
    const FieldID FIELD_CODE_VECTOR              = 15002; //RAW
    const FieldID FIELD_TYPE_VECTOR              = 15003; //RAW
    const FieldID FIELD_LENGTH_VECTOR            = 15004; //RAW
    const FieldID TIME_DELAY_TYPE                = 15010; //INT
    const FieldID ID_TRANSLATE_FROM              = 15011; //STRING
    const FieldID ID_TRANSLATE_TO                = 15012; //STRING
    const FieldID ID_ISO                         = 15014; //STRING
    const FieldID ID_CURRENCY                    = 15015; //STRING
    const FieldID ID_TYPE                        = 15016; //INT
    const FieldID ID_NEWS_SYMBOL                 = 15017; //STRING
    const FieldID ID_USED_HOMEISO                = 15018; //INT
    const FieldID ID_CACCESS_RT                  = 15020; //STRING
    const FieldID ID_CACCESS_DL                  = 15021; //STRING
    const FieldID BULK_TICKER_REQUEST_DEPRECATED = 15022; //STRING
    const FieldID BULK_TICKER_REQUEST            = 15023; //BUFFER
    const FieldID MARQUEE_HOME_ISO               = 15030; //STRING
    const FieldID MARQUEE_CACCESS                = 15031; //STRING
    const FieldID PEER_VERSION                   = 15032; //INT
    const FieldID SERVICE_NAME                   = 15050; //STRING
    const FieldID SERVICE_DISTANCE               = 15051; //INT
    const FieldID SERVICE_FLAG                   = 15052; //INT
    const FieldID SERVICE_AVAILABLE              = 15053; //INT
    const FieldID FILE_PATH                      = 15100; //STRING
    const FieldID FILE_ATTRIBUTES                = 15101; //STRING
    const FieldID FILE_CONTENTS                  = 15102; //BUFFER
    const FieldID FILE_TYPE                      = 15103; //INT
    const FieldID MARQUEESERVER_NAME             = 16000; //STRING
    const FieldID MARQUEESERVER_USERS            = 16001; //INT
    const FieldID MARQUEESERVER_TICKERS          = 16002; //INT
    const FieldID MARQUEESERVER_VERSION          = 16003; //STRING
    const FieldID MARQUEESERVER_INACTIVITY_TIMEOUT = 16004; //INT
    const FieldID MARQUEESERVER_REASON           = 16005; //STRING
    const FieldID MARQUEESERVER_ADMIN_MSG_KEY    = 16006; //STRING
    const FieldID MARQUEESERVER_ADMIN_MSG_RESP   = 16007; //STRING
    const FieldID MARQUEE_MESSAGE_TYPE           = 17000; //INT
    const FieldID TASE_DATA                      = 18000; //BUFFER
    const FieldID TASE_SEQ                       = 18001; //INT
    const FieldID TASE_DAY                       = 18002; //INT
    const FieldID TASE_RAW_DATA                  = 18003; //BUFFER
    const FieldID TASE_XML_REQ                   = 18004; //STRING
    const FieldID TASE_META_ARRAY                = 18005; //BUFFER
    const FieldID TOKEN_STRING                   = 19000; //STRING

  }
}

#endif // __MD_LIB_FIELDDEFS_H__
