#ifndef __MD_LIB_BYTE_ORDER_H__
#define __MD_LIB_BYTE_ORDER_H__

#if defined(MD_LIB_UNALIGNED_ACCESS) || defined(MD_LIB_LITTLE_ENDIAN) || defined(MD_LIB_BIG_ENDIAN) || defined(MD_LIB_BYTE_ORDER) || defined(MD_LIB_64BIT) || defined(MD_LIB_32BIT)
   #error "Conflict with MD_LIB_UNALIGNED_ACCESS macros"
#endif

#define MD_LIB_LITTLE_ENDIAN 1234
#define MD_LIB_BIG_ENDIAN    4321

#if defined(__sparc) || defined(__sparc__) || defined(__sparcv9)
   #define MD_LIB_BYTE_ORDER MD_LIB_BIG_ENDIAN

   #if defined (__sparcv9)
      /* Sparc 64 bit systems */
      #define MD_LIB_64BIT
   #else
      /* Sparc 32 bit systems */
      #define MD_LIB_32BIT
#endif

#elif ((defined(WIN32) || defined(_WIN32)) && !defined(_WIN64)) \
  || defined(_M_IX86) || defined(__i386__) || defined (__i386)
   /* Intel 32 bit systems */
   #define MD_LIB_BYTE_ORDER MD_LIB_LITTLE_ENDIAN
   #define MD_LIB_UNALIGNED_ACCESS
   #define MD_LIB_32BIT
#elif defined(__x86_64) || defined (__x86__64__) || defined(_M_X64)
   /* Intel 32 bit system with AMD 64bit extensions */
   #define MD_LIB_BYTE_ORDER MD_LIB_LITTLE_ENDIAN
   #define MD_LIB_UNALIGNED_ACCESS
   #define MD_LIB_64BIT
#elif defined(__ia64) || defined (__ia64__) || defined (__IA64) || defined(_M_IA64)
   /* Intel Itanium  */
   /* TODO: Needs research to see if defining MD_LIB_UNALIGNED_ACCESS is faster*/
   #define MD_LIB_BYTE_ORDER MD_LIB_LITTLE_ENDIAN
   /* TODO: ia64/VMS needs different checks */
   #define MD_LIB_64BIT
   /* #define MD_LIB_UNALIGNED_ACCESS */
#elif defined(__alpha) || defined (__alpha__) || defined (__ALPHA)
   /* DEC Alpha  */
   #define MD_LIB_BYTE_ORDER MD_LIB_LITTLE_ENDIAN
   #define MD_LIB_UNALIGNED_ACCESS
   /* TODO: Alpha/VMS needs different checks */
   #define MD_LIB_64BIT
#else
   #error "Unknown architecture or compiler"
#endif

#endif
